package com.mortals.xhx.module.sheet.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.sheet.model.SheetMatterEntity;
/**
* 基础事项查询对象
*
* @author zxfei
* @date 2022-09-27
*/
public class SheetMatterQuery extends SheetMatterEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 站点ID */
    private Long siteIdStart;

    /** 结束 站点ID */
    private Long siteIdEnd;

    /** 增加 站点ID */
    private Long siteIdIncrement;

    /** 站点ID列表 */
    private List <Long> siteIdList;

    /** 从政务系统来的事项id */
    private List<String> tidList;

    /** 从政务系统来的事项code */
    private List<String> tcodeList;

    /** 从政务系统来的事项name */
    private List<String> tnameList;

    /** 事项名称 */
    private List<String> matterNameList;

    /** 英语事项名 */
    private List<String> englishNameList;

    /** 事项编号 */
    private List<String> matterNoList;

    /** 服务对象 （1.事业法人，2.社会组织法人，3.非法人企业，4.企业法人，5.自然人，6.其他组织） */
    private List<String> appoveObjectShowList;

    /** 通办范围 （1.无，2.全国，3.全省，4.全市，5.全县，6.全镇[乡、街道]，7.跨村[社区]） */
    private List<String> operatScopeShowList;

    /** 办件类型（1.网络办件，2.行政审批一般件，3.综合窗口件） */
    private List<String> appoveTimeLimitShowList;

    /** 办理形式（1.窗口办理，2.网上办理） */
    private List<String> handleTypeList;

    /** 法定办结时限 */
    private List<String> legalTimeLimitShowList;

    /** 法定时限办结说明 */
    private List<String> legalEndExplainList;

    /** 承诺办结时限 */
    private List<String> promiseTimeLimitShowList;

    /** 承诺时限办结说明 */
    private List<String> promiseEndExplainList;

    /** 是否收费（0.否，1.是） */
    private List<String> isChargesShowList;

    /** 认证等级需求（1.实名认证，2.单次面签，3.每次面签） */
    private List<String> certificationLevelsShowList;

    /** 开始 计划生效日期 */
    private String planTakeTimeStart;

    /** 结束 计划生效日期 */
    private String planTakeTimeEnd;

    /** 开始 承诺生效日期 */
    private String promiseTakeTimeStart;

    /** 结束 承诺生效日期 */
    private String promiseTakeTimeEnd;

    /** 特别程序 */
    private List<String> specialProcedureList;

    /** 开始 窗口到现场次数 */
    private Integer windowToTheSceneNumStart;

    /** 结束 窗口到现场次数 */
    private Integer windowToTheSceneNumEnd;

    /** 增加 窗口到现场次数 */
    private Integer windowToTheSceneNumIncrement;

    /** 窗口到现场次数列表 */
    private List <Integer> windowToTheSceneNumList;

    /** 是否网上预约,窗口办理选（0.否，1.是） */
    private List<String> isOnlineSubscribeShowList;

    /** 物流快递,窗口办理选（0.否，1.是） */
    private List<String> isExpressTakeShowList;

    /** 是否支持全省范围就近取件（0.否，1.是） */
    private List<String> isProvinceAcquisitionShowList;

    /** 是否支持全省范围就近办理（0.否，1.是） */
    private List<String> isApplyProvinceShowList;

    /** 必须到现场原因 */
    private List<String> mustSceneExplainList;

    /** 网办类型（1.原件预审，2.原件核验，3.全程网办） */
    private List<String> onlineTypeList;

    /** 开始 网办到现场次数 */
    private Integer onlineToTheSceneNumStart;

    /** 结束 网办到现场次数 */
    private Integer onlineToTheSceneNumEnd;

    /** 增加 网办到现场次数 */
    private Integer onlineToTheSceneNumIncrement;

    /** 网办到现场次数列表 */
    private List <Integer> onlineToTheSceneNumList;

    /** 网络办理深度（1.互联网咨询，2.互联网收件，3.互联网预审，4.互联网受理，5.互联网办理，6.互联网办理结果信息反馈，7.其他） */
    private List<String> onlineOperatDeepList;

    /** 物流快递，网上办理选（0.否，1.是） */
    private List<String> isExpressTakeOnlineShowList;

    /** 是否支持上门收取申请（0.否，1.是） */
    private List<String> isDoorTakeShowList;

    /** 网上必须到现场原因 */
    private List<String> onlineMustSceneExplainList;

    /** 实施主体 */
    private List<String> performDeptTypeList;

    /** 事项版本 */
    private List<String> matterEditionList;

    /** 事项类型名称（1A.行政许可，1B.行政处罚，1C.行政强制，1D.行政征收，1G.行政给付，1I.行政检查，1F.行政确认，1H.行政奖励，1E.行政裁决，1Z.其他行政权力，2A.主动服务，2B.依申请服务，2C.咨询查询，3A.未归类事项） */
    private List<String> eventTypeShowList;

    /** 行使层级名称（1.省级，2.市级，3.县级，4.镇[乡、街道]，5.村[社区]级） */
    private List<String> performHierarchyShowList;

    /** 权力来源（1.法定本级行使，2.上级下放，3.上级授权，4.同级授权，5.上级委托，6.同级委托） */
    private List<String> powerSourceShowList;

    /** 实施主体性质（1.法定机关，2.授权组织，3.受委托组织） */
    private List<String> performDeptTypeShowList;

    /** 是否进驻中心（0.否，1.是） */
    private List<String> goveServiceCenterShowList;

    /** 是否纳入便民服务中心（0.否，1.是） */
    private List<String> isConvenientCenterShowList;

    /** 开始 自助终端办理 （0.否，1.是） */
    private Integer terminalHandleStart;

    /** 结束 自助终端办理 （0.否，1.是） */
    private Integer terminalHandleEnd;

    /** 增加 自助终端办理 （0.否，1.是） */
    private Integer terminalHandleIncrement;

    /** 自助终端办理 （0.否，1.是）列表 */
    private List <Integer> terminalHandleList;

    /** 开始 是否网办 （0.否，1.是） */
    private Integer isOnlineStart;

    /** 结束 是否网办 （0.否，1.是） */
    private Integer isOnlineEnd;

    /** 增加 是否网办 （0.否，1.是） */
    private Integer isOnlineIncrement;

    /** 是否网办 （0.否，1.是）列表 */
    private List <Integer> isOnlineList;

    /** 支持网上支付（0.否，1.是） */
    private List<String> isOnlinePayShowList;

    /** 委托部门（0.否，1.是） */
    private List<String> entrustmentDepartmenList;

    /** 联办机构 */
    private List<String> jointInfoShowList;

    /** 事项状态（0.停用，1.在用） */
    private List<String> matterStatusList;

    /** 开始 数量限制 */
    private Long numberLimitStart;

    /** 结束 数量限制 */
    private Long numberLimitEnd;

    /** 增加 数量限制 */
    private Long numberLimitIncrement;

    /** 数量限制列表 */
    private List <Long> numberLimitList;

    /** 主题类型（1.法定机关，2.授权组织，3.受委托组织） */
    private List<String> typeList;

    /** 基本编码 */
    private List<String> baseCodeList;

    /** 实施编码 */
    private List<String> implementCodeList;

    /** 实施主体编码 */
    private List<String> implementBodyCodeList;

    /** 办理项编码 */
    private List<String> operateItemCodeList;

    /** 乡镇街道名称 */
    private List<String> townshipNameList;

    /** 乡镇街道代码 */
    private List<String> townshipCodeList;

    /** 村居社区名称 */
    private List<String> villageNameList;

    /** 村居社区代码 */
    private List<String> villageCodeList;

    /** 办理时间 */
    private List<String> operateTimeList;

    /** 办理地点 */
    private List<String> operateSiteList;

    /** 咨询方式 */
    private List<String> cousultingShowList;

    /** 咨询电话 */
    private List<String> cousultingTelephoneShowList;

    /** 监督方式 */
    private List<String> superviseShowList;

    /** 开始 是否样表展示（0.否，1.是） */
    private Integer mattertypeStart;

    /** 结束 是否样表展示（0.否，1.是） */
    private Integer mattertypeEnd;

    /** 增加 是否样表展示（0.否，1.是） */
    private Integer mattertypeIncrement;

    /** 是否样表展示（0.否，1.是）列表 */
    private List <Integer> mattertypeList;

    /** 部门编号 */
    private List<String> deptCodeList;

    /** 目录清单编码 */
    private List<String> dirListCodeList;

    /** 运行系统名称 */
    private List<String> runSystemShowList;

    /** 联审信息 */
    private List<String> jointReviewInfoShowList;

    /** 办理类型 */
    private List<String> doThingTypeShowList;

    /** 公示时限 */
    private List<String> pubTimeShowList;

    /** 投诉电话 */
    private List<String> supervisoryTelephoneShowList;

    /** 办公时间 */
    private List<String> handleTimeShowList;

    /** 办公地址 */
    private List<String> handlePlaceShowList;

    /** 节日类型 */
    private List<String> daysTypeShowList;

    /** 行业 */
    private List<String> tradeShowList;

    /** 事项来源 */
    private List<String> eventSourceShowList;

    /** 审批结果类型 */
    private List<String> applyresultTypeShowList;

    /** 审查类型 */
    private List<String> typeOfReviewList;

    /** 实施机构 */
    private List<String> enforcementList;

    /** 服务主题分类 */
    private List<String> serviceClassificationList;

    /** 许可数量 */
    private List<String> licenseNumberList;

    /** 开始 办事者到办理现场次数 */
    private Integer numberStart;

    /** 结束 办事者到办理现场次数 */
    private Integer numberEnd;

    /** 增加 办事者到办理现场次数 */
    private Integer numberIncrement;

    /** 办事者到办理现场次数列表 */
    private List <Integer> numberList;

    /** 办理查询 */
    private List<String> inquireList;

    /** 办理结果名称 */
    private List<String> handlingresultNamesList;

    /** 审批结果样本 */
    private List<String> sampleApprovalResultsList;

    /** 实施主题 */
    private List<String> performDeptNameList;

    /** html存储地址 */
    private List<String> htmlList;

    /** 全债清单类型 */
    private List<String> eventTypeList;

    /** 开始  */
    private Long shardKeyStart;

    /** 结束  */
    private Long shardKeyEnd;

    /** 增加  */
    private Long shardKeyIncrement;

    /** 列表 */
    private List <Long> shardKeyList;

    /** 开始 个人1 */
    private Integer parsonStart;

    /** 结束 个人1 */
    private Integer parsonEnd;

    /** 增加 个人1 */
    private Integer parsonIncrement;

    /** 个人1列表 */
    private List <Integer> parsonList;

    /** 开始 法人 1 */
    private Integer lengalStart;

    /** 结束 法人 1 */
    private Integer lengalEnd;

    /** 增加 法人 1 */
    private Integer lengalIncrement;

    /** 法人 1列表 */
    private List <Integer> lengalList;

    /** 总材料说明 */
    private List<String> materialRemarkList;

    /** 事项二维码 */
    private List<String> codeurlList;

    /** 行使方式 */
    private List<String> applyObjectList;

    /** 统一受理模式 */
    private List<String> isUniteAcceptList;

    /** 开始 排序 */
    private Integer sortStart;

    /** 结束 排序 */
    private Integer sortEnd;

    /** 增加 排序 */
    private Integer sortIncrement;

    /** 排序列表 */
    private List <Integer> sortList;

    /** 开始 是否推荐(0.未推荐，1.推荐) */
    private Integer isRecommendStart;

    /** 结束 是否推荐(0.未推荐，1.推荐) */
    private Integer isRecommendEnd;

    /** 增加 是否推荐(0.未推荐，1.推荐) */
    private Integer isRecommendIncrement;

    /** 是否推荐(0.未推荐，1.推荐)列表 */
    private List <Integer> isRecommendList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SheetMatterQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SheetMatterQuery> andConditionList;

    public SheetMatterQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 站点ID
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点ID
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点ID
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点ID
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点ID
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点ID
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点ID
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点ID
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 从政务系统来的事项id
    * @return tidList
    */
    public List<String> getTidList(){
        return this.tidList;
    }

    /**
    * 设置 从政务系统来的事项id
    * @param tidList
    */
    public void setTidList(List<String> tidList){
        this.tidList = tidList;
    }
    /**
    * 获取 从政务系统来的事项code
    * @return tcodeList
    */
    public List<String> getTcodeList(){
        return this.tcodeList;
    }

    /**
    * 设置 从政务系统来的事项code
    * @param tcodeList
    */
    public void setTcodeList(List<String> tcodeList){
        this.tcodeList = tcodeList;
    }
    /**
    * 获取 从政务系统来的事项name
    * @return tnameList
    */
    public List<String> getTnameList(){
        return this.tnameList;
    }

    /**
    * 设置 从政务系统来的事项name
    * @param tnameList
    */
    public void setTnameList(List<String> tnameList){
        this.tnameList = tnameList;
    }
    /**
    * 获取 事项名称
    * @return matterNameList
    */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
    * 设置 事项名称
    * @param matterNameList
    */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }
    /**
    * 获取 英语事项名
    * @return englishNameList
    */
    public List<String> getEnglishNameList(){
        return this.englishNameList;
    }

    /**
    * 设置 英语事项名
    * @param englishNameList
    */
    public void setEnglishNameList(List<String> englishNameList){
        this.englishNameList = englishNameList;
    }
    /**
    * 获取 事项编号
    * @return matterNoList
    */
    public List<String> getMatterNoList(){
        return this.matterNoList;
    }

    /**
    * 设置 事项编号
    * @param matterNoList
    */
    public void setMatterNoList(List<String> matterNoList){
        this.matterNoList = matterNoList;
    }
    /**
    * 获取 服务对象 （1.事业法人，2.社会组织法人，3.非法人企业，4.企业法人，5.自然人，6.其他组织）
    * @return appoveObjectShowList
    */
    public List<String> getAppoveObjectShowList(){
        return this.appoveObjectShowList;
    }

    /**
    * 设置 服务对象 （1.事业法人，2.社会组织法人，3.非法人企业，4.企业法人，5.自然人，6.其他组织）
    * @param appoveObjectShowList
    */
    public void setAppoveObjectShowList(List<String> appoveObjectShowList){
        this.appoveObjectShowList = appoveObjectShowList;
    }
    /**
    * 获取 通办范围 （1.无，2.全国，3.全省，4.全市，5.全县，6.全镇[乡、街道]，7.跨村[社区]）
    * @return operatScopeShowList
    */
    public List<String> getOperatScopeShowList(){
        return this.operatScopeShowList;
    }

    /**
    * 设置 通办范围 （1.无，2.全国，3.全省，4.全市，5.全县，6.全镇[乡、街道]，7.跨村[社区]）
    * @param operatScopeShowList
    */
    public void setOperatScopeShowList(List<String> operatScopeShowList){
        this.operatScopeShowList = operatScopeShowList;
    }
    /**
    * 获取 办件类型（1.网络办件，2.行政审批一般件，3.综合窗口件）
    * @return appoveTimeLimitShowList
    */
    public List<String> getAppoveTimeLimitShowList(){
        return this.appoveTimeLimitShowList;
    }

    /**
    * 设置 办件类型（1.网络办件，2.行政审批一般件，3.综合窗口件）
    * @param appoveTimeLimitShowList
    */
    public void setAppoveTimeLimitShowList(List<String> appoveTimeLimitShowList){
        this.appoveTimeLimitShowList = appoveTimeLimitShowList;
    }
    /**
    * 获取 办理形式（1.窗口办理，2.网上办理）
    * @return handleTypeList
    */
    public List<String> getHandleTypeList(){
        return this.handleTypeList;
    }

    /**
    * 设置 办理形式（1.窗口办理，2.网上办理）
    * @param handleTypeList
    */
    public void setHandleTypeList(List<String> handleTypeList){
        this.handleTypeList = handleTypeList;
    }
    /**
    * 获取 法定办结时限
    * @return legalTimeLimitShowList
    */
    public List<String> getLegalTimeLimitShowList(){
        return this.legalTimeLimitShowList;
    }

    /**
    * 设置 法定办结时限
    * @param legalTimeLimitShowList
    */
    public void setLegalTimeLimitShowList(List<String> legalTimeLimitShowList){
        this.legalTimeLimitShowList = legalTimeLimitShowList;
    }
    /**
    * 获取 法定时限办结说明
    * @return legalEndExplainList
    */
    public List<String> getLegalEndExplainList(){
        return this.legalEndExplainList;
    }

    /**
    * 设置 法定时限办结说明
    * @param legalEndExplainList
    */
    public void setLegalEndExplainList(List<String> legalEndExplainList){
        this.legalEndExplainList = legalEndExplainList;
    }
    /**
    * 获取 承诺办结时限
    * @return promiseTimeLimitShowList
    */
    public List<String> getPromiseTimeLimitShowList(){
        return this.promiseTimeLimitShowList;
    }

    /**
    * 设置 承诺办结时限
    * @param promiseTimeLimitShowList
    */
    public void setPromiseTimeLimitShowList(List<String> promiseTimeLimitShowList){
        this.promiseTimeLimitShowList = promiseTimeLimitShowList;
    }
    /**
    * 获取 承诺时限办结说明
    * @return promiseEndExplainList
    */
    public List<String> getPromiseEndExplainList(){
        return this.promiseEndExplainList;
    }

    /**
    * 设置 承诺时限办结说明
    * @param promiseEndExplainList
    */
    public void setPromiseEndExplainList(List<String> promiseEndExplainList){
        this.promiseEndExplainList = promiseEndExplainList;
    }
    /**
    * 获取 是否收费（0.否，1.是）
    * @return isChargesShowList
    */
    public List<String> getIsChargesShowList(){
        return this.isChargesShowList;
    }

    /**
    * 设置 是否收费（0.否，1.是）
    * @param isChargesShowList
    */
    public void setIsChargesShowList(List<String> isChargesShowList){
        this.isChargesShowList = isChargesShowList;
    }
    /**
    * 获取 认证等级需求（1.实名认证，2.单次面签，3.每次面签）
    * @return certificationLevelsShowList
    */
    public List<String> getCertificationLevelsShowList(){
        return this.certificationLevelsShowList;
    }

    /**
    * 设置 认证等级需求（1.实名认证，2.单次面签，3.每次面签）
    * @param certificationLevelsShowList
    */
    public void setCertificationLevelsShowList(List<String> certificationLevelsShowList){
        this.certificationLevelsShowList = certificationLevelsShowList;
    }
    /**
    * 获取 开始 计划生效日期
    * @return planTakeTimeStart
    */
    public String getPlanTakeTimeStart(){
        return this.planTakeTimeStart;
    }

    /**
    * 设置 开始 计划生效日期
    * @param planTakeTimeStart
    */
    public void setPlanTakeTimeStart(String planTakeTimeStart){
        this.planTakeTimeStart = planTakeTimeStart;
    }

    /**
    * 获取 结束 计划生效日期
    * @return planTakeTimeEnd
    */
    public String getPlanTakeTimeEnd(){
        return this.planTakeTimeEnd;
    }

    /**
    * 设置 结束 计划生效日期
    * @param planTakeTimeEnd
    */
    public void setPlanTakeTimeEnd(String planTakeTimeEnd){
        this.planTakeTimeEnd = planTakeTimeEnd;
    }

    /**
    * 获取 开始 承诺生效日期
    * @return promiseTakeTimeStart
    */
    public String getPromiseTakeTimeStart(){
        return this.promiseTakeTimeStart;
    }

    /**
    * 设置 开始 承诺生效日期
    * @param promiseTakeTimeStart
    */
    public void setPromiseTakeTimeStart(String promiseTakeTimeStart){
        this.promiseTakeTimeStart = promiseTakeTimeStart;
    }

    /**
    * 获取 结束 承诺生效日期
    * @return promiseTakeTimeEnd
    */
    public String getPromiseTakeTimeEnd(){
        return this.promiseTakeTimeEnd;
    }

    /**
    * 设置 结束 承诺生效日期
    * @param promiseTakeTimeEnd
    */
    public void setPromiseTakeTimeEnd(String promiseTakeTimeEnd){
        this.promiseTakeTimeEnd = promiseTakeTimeEnd;
    }

    /**
    * 获取 特别程序
    * @return specialProcedureList
    */
    public List<String> getSpecialProcedureList(){
        return this.specialProcedureList;
    }

    /**
    * 设置 特别程序
    * @param specialProcedureList
    */
    public void setSpecialProcedureList(List<String> specialProcedureList){
        this.specialProcedureList = specialProcedureList;
    }
    /**
    * 获取 开始 窗口到现场次数
    * @return windowToTheSceneNumStart
    */
    public Integer getWindowToTheSceneNumStart(){
        return this.windowToTheSceneNumStart;
    }

    /**
    * 设置 开始 窗口到现场次数
    * @param windowToTheSceneNumStart
    */
    public void setWindowToTheSceneNumStart(Integer windowToTheSceneNumStart){
        this.windowToTheSceneNumStart = windowToTheSceneNumStart;
    }

    /**
    * 获取 结束 窗口到现场次数
    * @return $windowToTheSceneNumEnd
    */
    public Integer getWindowToTheSceneNumEnd(){
        return this.windowToTheSceneNumEnd;
    }

    /**
    * 设置 结束 窗口到现场次数
    * @param windowToTheSceneNumEnd
    */
    public void setWindowToTheSceneNumEnd(Integer windowToTheSceneNumEnd){
        this.windowToTheSceneNumEnd = windowToTheSceneNumEnd;
    }

    /**
    * 获取 增加 窗口到现场次数
    * @return windowToTheSceneNumIncrement
    */
    public Integer getWindowToTheSceneNumIncrement(){
        return this.windowToTheSceneNumIncrement;
    }

    /**
    * 设置 增加 窗口到现场次数
    * @param windowToTheSceneNumIncrement
    */
    public void setWindowToTheSceneNumIncrement(Integer windowToTheSceneNumIncrement){
        this.windowToTheSceneNumIncrement = windowToTheSceneNumIncrement;
    }

    /**
    * 获取 窗口到现场次数
    * @return windowToTheSceneNumList
    */
    public List<Integer> getWindowToTheSceneNumList(){
        return this.windowToTheSceneNumList;
    }

    /**
    * 设置 窗口到现场次数
    * @param windowToTheSceneNumList
    */
    public void setWindowToTheSceneNumList(List<Integer> windowToTheSceneNumList){
        this.windowToTheSceneNumList = windowToTheSceneNumList;
    }

    /**
    * 获取 是否网上预约,窗口办理选（0.否，1.是）
    * @return isOnlineSubscribeShowList
    */
    public List<String> getIsOnlineSubscribeShowList(){
        return this.isOnlineSubscribeShowList;
    }

    /**
    * 设置 是否网上预约,窗口办理选（0.否，1.是）
    * @param isOnlineSubscribeShowList
    */
    public void setIsOnlineSubscribeShowList(List<String> isOnlineSubscribeShowList){
        this.isOnlineSubscribeShowList = isOnlineSubscribeShowList;
    }
    /**
    * 获取 物流快递,窗口办理选（0.否，1.是）
    * @return isExpressTakeShowList
    */
    public List<String> getIsExpressTakeShowList(){
        return this.isExpressTakeShowList;
    }

    /**
    * 设置 物流快递,窗口办理选（0.否，1.是）
    * @param isExpressTakeShowList
    */
    public void setIsExpressTakeShowList(List<String> isExpressTakeShowList){
        this.isExpressTakeShowList = isExpressTakeShowList;
    }
    /**
    * 获取 是否支持全省范围就近取件（0.否，1.是）
    * @return isProvinceAcquisitionShowList
    */
    public List<String> getIsProvinceAcquisitionShowList(){
        return this.isProvinceAcquisitionShowList;
    }

    /**
    * 设置 是否支持全省范围就近取件（0.否，1.是）
    * @param isProvinceAcquisitionShowList
    */
    public void setIsProvinceAcquisitionShowList(List<String> isProvinceAcquisitionShowList){
        this.isProvinceAcquisitionShowList = isProvinceAcquisitionShowList;
    }
    /**
    * 获取 是否支持全省范围就近办理（0.否，1.是）
    * @return isApplyProvinceShowList
    */
    public List<String> getIsApplyProvinceShowList(){
        return this.isApplyProvinceShowList;
    }

    /**
    * 设置 是否支持全省范围就近办理（0.否，1.是）
    * @param isApplyProvinceShowList
    */
    public void setIsApplyProvinceShowList(List<String> isApplyProvinceShowList){
        this.isApplyProvinceShowList = isApplyProvinceShowList;
    }
    /**
    * 获取 必须到现场原因
    * @return mustSceneExplainList
    */
    public List<String> getMustSceneExplainList(){
        return this.mustSceneExplainList;
    }

    /**
    * 设置 必须到现场原因
    * @param mustSceneExplainList
    */
    public void setMustSceneExplainList(List<String> mustSceneExplainList){
        this.mustSceneExplainList = mustSceneExplainList;
    }
    /**
    * 获取 网办类型（1.原件预审，2.原件核验，3.全程网办）
    * @return onlineTypeList
    */
    public List<String> getOnlineTypeList(){
        return this.onlineTypeList;
    }

    /**
    * 设置 网办类型（1.原件预审，2.原件核验，3.全程网办）
    * @param onlineTypeList
    */
    public void setOnlineTypeList(List<String> onlineTypeList){
        this.onlineTypeList = onlineTypeList;
    }
    /**
    * 获取 开始 网办到现场次数
    * @return onlineToTheSceneNumStart
    */
    public Integer getOnlineToTheSceneNumStart(){
        return this.onlineToTheSceneNumStart;
    }

    /**
    * 设置 开始 网办到现场次数
    * @param onlineToTheSceneNumStart
    */
    public void setOnlineToTheSceneNumStart(Integer onlineToTheSceneNumStart){
        this.onlineToTheSceneNumStart = onlineToTheSceneNumStart;
    }

    /**
    * 获取 结束 网办到现场次数
    * @return $onlineToTheSceneNumEnd
    */
    public Integer getOnlineToTheSceneNumEnd(){
        return this.onlineToTheSceneNumEnd;
    }

    /**
    * 设置 结束 网办到现场次数
    * @param onlineToTheSceneNumEnd
    */
    public void setOnlineToTheSceneNumEnd(Integer onlineToTheSceneNumEnd){
        this.onlineToTheSceneNumEnd = onlineToTheSceneNumEnd;
    }

    /**
    * 获取 增加 网办到现场次数
    * @return onlineToTheSceneNumIncrement
    */
    public Integer getOnlineToTheSceneNumIncrement(){
        return this.onlineToTheSceneNumIncrement;
    }

    /**
    * 设置 增加 网办到现场次数
    * @param onlineToTheSceneNumIncrement
    */
    public void setOnlineToTheSceneNumIncrement(Integer onlineToTheSceneNumIncrement){
        this.onlineToTheSceneNumIncrement = onlineToTheSceneNumIncrement;
    }

    /**
    * 获取 网办到现场次数
    * @return onlineToTheSceneNumList
    */
    public List<Integer> getOnlineToTheSceneNumList(){
        return this.onlineToTheSceneNumList;
    }

    /**
    * 设置 网办到现场次数
    * @param onlineToTheSceneNumList
    */
    public void setOnlineToTheSceneNumList(List<Integer> onlineToTheSceneNumList){
        this.onlineToTheSceneNumList = onlineToTheSceneNumList;
    }

    /**
    * 获取 网络办理深度（1.互联网咨询，2.互联网收件，3.互联网预审，4.互联网受理，5.互联网办理，6.互联网办理结果信息反馈，7.其他）
    * @return onlineOperatDeepList
    */
    public List<String> getOnlineOperatDeepList(){
        return this.onlineOperatDeepList;
    }

    /**
    * 设置 网络办理深度（1.互联网咨询，2.互联网收件，3.互联网预审，4.互联网受理，5.互联网办理，6.互联网办理结果信息反馈，7.其他）
    * @param onlineOperatDeepList
    */
    public void setOnlineOperatDeepList(List<String> onlineOperatDeepList){
        this.onlineOperatDeepList = onlineOperatDeepList;
    }
    /**
    * 获取 物流快递，网上办理选（0.否，1.是）
    * @return isExpressTakeOnlineShowList
    */
    public List<String> getIsExpressTakeOnlineShowList(){
        return this.isExpressTakeOnlineShowList;
    }

    /**
    * 设置 物流快递，网上办理选（0.否，1.是）
    * @param isExpressTakeOnlineShowList
    */
    public void setIsExpressTakeOnlineShowList(List<String> isExpressTakeOnlineShowList){
        this.isExpressTakeOnlineShowList = isExpressTakeOnlineShowList;
    }
    /**
    * 获取 是否支持上门收取申请（0.否，1.是）
    * @return isDoorTakeShowList
    */
    public List<String> getIsDoorTakeShowList(){
        return this.isDoorTakeShowList;
    }

    /**
    * 设置 是否支持上门收取申请（0.否，1.是）
    * @param isDoorTakeShowList
    */
    public void setIsDoorTakeShowList(List<String> isDoorTakeShowList){
        this.isDoorTakeShowList = isDoorTakeShowList;
    }
    /**
    * 获取 网上必须到现场原因
    * @return onlineMustSceneExplainList
    */
    public List<String> getOnlineMustSceneExplainList(){
        return this.onlineMustSceneExplainList;
    }

    /**
    * 设置 网上必须到现场原因
    * @param onlineMustSceneExplainList
    */
    public void setOnlineMustSceneExplainList(List<String> onlineMustSceneExplainList){
        this.onlineMustSceneExplainList = onlineMustSceneExplainList;
    }
    /**
    * 获取 实施主体
    * @return performDeptTypeList
    */
    public List<String> getPerformDeptTypeList(){
        return this.performDeptTypeList;
    }

    /**
    * 设置 实施主体
    * @param performDeptTypeList
    */
    public void setPerformDeptTypeList(List<String> performDeptTypeList){
        this.performDeptTypeList = performDeptTypeList;
    }
    /**
    * 获取 事项版本
    * @return matterEditionList
    */
    public List<String> getMatterEditionList(){
        return this.matterEditionList;
    }

    /**
    * 设置 事项版本
    * @param matterEditionList
    */
    public void setMatterEditionList(List<String> matterEditionList){
        this.matterEditionList = matterEditionList;
    }
    /**
    * 获取 事项类型名称（1A.行政许可，1B.行政处罚，1C.行政强制，1D.行政征收，1G.行政给付，1I.行政检查，1F.行政确认，1H.行政奖励，1E.行政裁决，1Z.其他行政权力，2A.主动服务，2B.依申请服务，2C.咨询查询，3A.未归类事项）
    * @return eventTypeShowList
    */
    public List<String> getEventTypeShowList(){
        return this.eventTypeShowList;
    }

    /**
    * 设置 事项类型名称（1A.行政许可，1B.行政处罚，1C.行政强制，1D.行政征收，1G.行政给付，1I.行政检查，1F.行政确认，1H.行政奖励，1E.行政裁决，1Z.其他行政权力，2A.主动服务，2B.依申请服务，2C.咨询查询，3A.未归类事项）
    * @param eventTypeShowList
    */
    public void setEventTypeShowList(List<String> eventTypeShowList){
        this.eventTypeShowList = eventTypeShowList;
    }
    /**
    * 获取 行使层级名称（1.省级，2.市级，3.县级，4.镇[乡、街道]，5.村[社区]级）
    * @return performHierarchyShowList
    */
    public List<String> getPerformHierarchyShowList(){
        return this.performHierarchyShowList;
    }

    /**
    * 设置 行使层级名称（1.省级，2.市级，3.县级，4.镇[乡、街道]，5.村[社区]级）
    * @param performHierarchyShowList
    */
    public void setPerformHierarchyShowList(List<String> performHierarchyShowList){
        this.performHierarchyShowList = performHierarchyShowList;
    }
    /**
    * 获取 权力来源（1.法定本级行使，2.上级下放，3.上级授权，4.同级授权，5.上级委托，6.同级委托）
    * @return powerSourceShowList
    */
    public List<String> getPowerSourceShowList(){
        return this.powerSourceShowList;
    }

    /**
    * 设置 权力来源（1.法定本级行使，2.上级下放，3.上级授权，4.同级授权，5.上级委托，6.同级委托）
    * @param powerSourceShowList
    */
    public void setPowerSourceShowList(List<String> powerSourceShowList){
        this.powerSourceShowList = powerSourceShowList;
    }
    /**
    * 获取 实施主体性质（1.法定机关，2.授权组织，3.受委托组织）
    * @return performDeptTypeShowList
    */
    public List<String> getPerformDeptTypeShowList(){
        return this.performDeptTypeShowList;
    }

    /**
    * 设置 实施主体性质（1.法定机关，2.授权组织，3.受委托组织）
    * @param performDeptTypeShowList
    */
    public void setPerformDeptTypeShowList(List<String> performDeptTypeShowList){
        this.performDeptTypeShowList = performDeptTypeShowList;
    }
    /**
    * 获取 是否进驻中心（0.否，1.是）
    * @return goveServiceCenterShowList
    */
    public List<String> getGoveServiceCenterShowList(){
        return this.goveServiceCenterShowList;
    }

    /**
    * 设置 是否进驻中心（0.否，1.是）
    * @param goveServiceCenterShowList
    */
    public void setGoveServiceCenterShowList(List<String> goveServiceCenterShowList){
        this.goveServiceCenterShowList = goveServiceCenterShowList;
    }
    /**
    * 获取 是否纳入便民服务中心（0.否，1.是）
    * @return isConvenientCenterShowList
    */
    public List<String> getIsConvenientCenterShowList(){
        return this.isConvenientCenterShowList;
    }

    /**
    * 设置 是否纳入便民服务中心（0.否，1.是）
    * @param isConvenientCenterShowList
    */
    public void setIsConvenientCenterShowList(List<String> isConvenientCenterShowList){
        this.isConvenientCenterShowList = isConvenientCenterShowList;
    }
    /**
    * 获取 开始 自助终端办理 （0.否，1.是）
    * @return terminalHandleStart
    */
    public Integer getTerminalHandleStart(){
        return this.terminalHandleStart;
    }

    /**
    * 设置 开始 自助终端办理 （0.否，1.是）
    * @param terminalHandleStart
    */
    public void setTerminalHandleStart(Integer terminalHandleStart){
        this.terminalHandleStart = terminalHandleStart;
    }

    /**
    * 获取 结束 自助终端办理 （0.否，1.是）
    * @return $terminalHandleEnd
    */
    public Integer getTerminalHandleEnd(){
        return this.terminalHandleEnd;
    }

    /**
    * 设置 结束 自助终端办理 （0.否，1.是）
    * @param terminalHandleEnd
    */
    public void setTerminalHandleEnd(Integer terminalHandleEnd){
        this.terminalHandleEnd = terminalHandleEnd;
    }

    /**
    * 获取 增加 自助终端办理 （0.否，1.是）
    * @return terminalHandleIncrement
    */
    public Integer getTerminalHandleIncrement(){
        return this.terminalHandleIncrement;
    }

    /**
    * 设置 增加 自助终端办理 （0.否，1.是）
    * @param terminalHandleIncrement
    */
    public void setTerminalHandleIncrement(Integer terminalHandleIncrement){
        this.terminalHandleIncrement = terminalHandleIncrement;
    }

    /**
    * 获取 自助终端办理 （0.否，1.是）
    * @return terminalHandleList
    */
    public List<Integer> getTerminalHandleList(){
        return this.terminalHandleList;
    }

    /**
    * 设置 自助终端办理 （0.否，1.是）
    * @param terminalHandleList
    */
    public void setTerminalHandleList(List<Integer> terminalHandleList){
        this.terminalHandleList = terminalHandleList;
    }

    /**
    * 获取 开始 是否网办 （0.否，1.是）
    * @return isOnlineStart
    */
    public Integer getIsOnlineStart(){
        return this.isOnlineStart;
    }

    /**
    * 设置 开始 是否网办 （0.否，1.是）
    * @param isOnlineStart
    */
    public void setIsOnlineStart(Integer isOnlineStart){
        this.isOnlineStart = isOnlineStart;
    }

    /**
    * 获取 结束 是否网办 （0.否，1.是）
    * @return $isOnlineEnd
    */
    public Integer getIsOnlineEnd(){
        return this.isOnlineEnd;
    }

    /**
    * 设置 结束 是否网办 （0.否，1.是）
    * @param isOnlineEnd
    */
    public void setIsOnlineEnd(Integer isOnlineEnd){
        this.isOnlineEnd = isOnlineEnd;
    }

    /**
    * 获取 增加 是否网办 （0.否，1.是）
    * @return isOnlineIncrement
    */
    public Integer getIsOnlineIncrement(){
        return this.isOnlineIncrement;
    }

    /**
    * 设置 增加 是否网办 （0.否，1.是）
    * @param isOnlineIncrement
    */
    public void setIsOnlineIncrement(Integer isOnlineIncrement){
        this.isOnlineIncrement = isOnlineIncrement;
    }

    /**
    * 获取 是否网办 （0.否，1.是）
    * @return isOnlineList
    */
    public List<Integer> getIsOnlineList(){
        return this.isOnlineList;
    }

    /**
    * 设置 是否网办 （0.否，1.是）
    * @param isOnlineList
    */
    public void setIsOnlineList(List<Integer> isOnlineList){
        this.isOnlineList = isOnlineList;
    }

    /**
    * 获取 支持网上支付（0.否，1.是）
    * @return isOnlinePayShowList
    */
    public List<String> getIsOnlinePayShowList(){
        return this.isOnlinePayShowList;
    }

    /**
    * 设置 支持网上支付（0.否，1.是）
    * @param isOnlinePayShowList
    */
    public void setIsOnlinePayShowList(List<String> isOnlinePayShowList){
        this.isOnlinePayShowList = isOnlinePayShowList;
    }
    /**
    * 获取 委托部门（0.否，1.是）
    * @return entrustmentDepartmenList
    */
    public List<String> getEntrustmentDepartmenList(){
        return this.entrustmentDepartmenList;
    }

    /**
    * 设置 委托部门（0.否，1.是）
    * @param entrustmentDepartmenList
    */
    public void setEntrustmentDepartmenList(List<String> entrustmentDepartmenList){
        this.entrustmentDepartmenList = entrustmentDepartmenList;
    }
    /**
    * 获取 联办机构
    * @return jointInfoShowList
    */
    public List<String> getJointInfoShowList(){
        return this.jointInfoShowList;
    }

    /**
    * 设置 联办机构
    * @param jointInfoShowList
    */
    public void setJointInfoShowList(List<String> jointInfoShowList){
        this.jointInfoShowList = jointInfoShowList;
    }
    /**
    * 获取 事项状态（0.停用，1.在用）
    * @return matterStatusList
    */
    public List<String> getMatterStatusList(){
        return this.matterStatusList;
    }

    /**
    * 设置 事项状态（0.停用，1.在用）
    * @param matterStatusList
    */
    public void setMatterStatusList(List<String> matterStatusList){
        this.matterStatusList = matterStatusList;
    }
    /**
    * 获取 开始 数量限制
    * @return numberLimitStart
    */
    public Long getNumberLimitStart(){
        return this.numberLimitStart;
    }

    /**
    * 设置 开始 数量限制
    * @param numberLimitStart
    */
    public void setNumberLimitStart(Long numberLimitStart){
        this.numberLimitStart = numberLimitStart;
    }

    /**
    * 获取 结束 数量限制
    * @return $numberLimitEnd
    */
    public Long getNumberLimitEnd(){
        return this.numberLimitEnd;
    }

    /**
    * 设置 结束 数量限制
    * @param numberLimitEnd
    */
    public void setNumberLimitEnd(Long numberLimitEnd){
        this.numberLimitEnd = numberLimitEnd;
    }

    /**
    * 获取 增加 数量限制
    * @return numberLimitIncrement
    */
    public Long getNumberLimitIncrement(){
        return this.numberLimitIncrement;
    }

    /**
    * 设置 增加 数量限制
    * @param numberLimitIncrement
    */
    public void setNumberLimitIncrement(Long numberLimitIncrement){
        this.numberLimitIncrement = numberLimitIncrement;
    }

    /**
    * 获取 数量限制
    * @return numberLimitList
    */
    public List<Long> getNumberLimitList(){
        return this.numberLimitList;
    }

    /**
    * 设置 数量限制
    * @param numberLimitList
    */
    public void setNumberLimitList(List<Long> numberLimitList){
        this.numberLimitList = numberLimitList;
    }

    /**
    * 获取 主题类型（1.法定机关，2.授权组织，3.受委托组织）
    * @return typeList
    */
    public List<String> getTypeList(){
        return this.typeList;
    }

    /**
    * 设置 主题类型（1.法定机关，2.授权组织，3.受委托组织）
    * @param typeList
    */
    public void setTypeList(List<String> typeList){
        this.typeList = typeList;
    }
    /**
    * 获取 基本编码
    * @return baseCodeList
    */
    public List<String> getBaseCodeList(){
        return this.baseCodeList;
    }

    /**
    * 设置 基本编码
    * @param baseCodeList
    */
    public void setBaseCodeList(List<String> baseCodeList){
        this.baseCodeList = baseCodeList;
    }
    /**
    * 获取 实施编码
    * @return implementCodeList
    */
    public List<String> getImplementCodeList(){
        return this.implementCodeList;
    }

    /**
    * 设置 实施编码
    * @param implementCodeList
    */
    public void setImplementCodeList(List<String> implementCodeList){
        this.implementCodeList = implementCodeList;
    }
    /**
    * 获取 实施主体编码
    * @return implementBodyCodeList
    */
    public List<String> getImplementBodyCodeList(){
        return this.implementBodyCodeList;
    }

    /**
    * 设置 实施主体编码
    * @param implementBodyCodeList
    */
    public void setImplementBodyCodeList(List<String> implementBodyCodeList){
        this.implementBodyCodeList = implementBodyCodeList;
    }
    /**
    * 获取 办理项编码
    * @return operateItemCodeList
    */
    public List<String> getOperateItemCodeList(){
        return this.operateItemCodeList;
    }

    /**
    * 设置 办理项编码
    * @param operateItemCodeList
    */
    public void setOperateItemCodeList(List<String> operateItemCodeList){
        this.operateItemCodeList = operateItemCodeList;
    }
    /**
    * 获取 乡镇街道名称
    * @return townshipNameList
    */
    public List<String> getTownshipNameList(){
        return this.townshipNameList;
    }

    /**
    * 设置 乡镇街道名称
    * @param townshipNameList
    */
    public void setTownshipNameList(List<String> townshipNameList){
        this.townshipNameList = townshipNameList;
    }
    /**
    * 获取 乡镇街道代码
    * @return townshipCodeList
    */
    public List<String> getTownshipCodeList(){
        return this.townshipCodeList;
    }

    /**
    * 设置 乡镇街道代码
    * @param townshipCodeList
    */
    public void setTownshipCodeList(List<String> townshipCodeList){
        this.townshipCodeList = townshipCodeList;
    }
    /**
    * 获取 村居社区名称
    * @return villageNameList
    */
    public List<String> getVillageNameList(){
        return this.villageNameList;
    }

    /**
    * 设置 村居社区名称
    * @param villageNameList
    */
    public void setVillageNameList(List<String> villageNameList){
        this.villageNameList = villageNameList;
    }
    /**
    * 获取 村居社区代码
    * @return villageCodeList
    */
    public List<String> getVillageCodeList(){
        return this.villageCodeList;
    }

    /**
    * 设置 村居社区代码
    * @param villageCodeList
    */
    public void setVillageCodeList(List<String> villageCodeList){
        this.villageCodeList = villageCodeList;
    }
    /**
    * 获取 办理时间
    * @return operateTimeList
    */
    public List<String> getOperateTimeList(){
        return this.operateTimeList;
    }

    /**
    * 设置 办理时间
    * @param operateTimeList
    */
    public void setOperateTimeList(List<String> operateTimeList){
        this.operateTimeList = operateTimeList;
    }
    /**
    * 获取 办理地点
    * @return operateSiteList
    */
    public List<String> getOperateSiteList(){
        return this.operateSiteList;
    }

    /**
    * 设置 办理地点
    * @param operateSiteList
    */
    public void setOperateSiteList(List<String> operateSiteList){
        this.operateSiteList = operateSiteList;
    }
    /**
    * 获取 咨询方式
    * @return cousultingShowList
    */
    public List<String> getCousultingShowList(){
        return this.cousultingShowList;
    }

    /**
    * 设置 咨询方式
    * @param cousultingShowList
    */
    public void setCousultingShowList(List<String> cousultingShowList){
        this.cousultingShowList = cousultingShowList;
    }
    /**
    * 获取 咨询电话
    * @return cousultingTelephoneShowList
    */
    public List<String> getCousultingTelephoneShowList(){
        return this.cousultingTelephoneShowList;
    }

    /**
    * 设置 咨询电话
    * @param cousultingTelephoneShowList
    */
    public void setCousultingTelephoneShowList(List<String> cousultingTelephoneShowList){
        this.cousultingTelephoneShowList = cousultingTelephoneShowList;
    }
    /**
    * 获取 监督方式
    * @return superviseShowList
    */
    public List<String> getSuperviseShowList(){
        return this.superviseShowList;
    }

    /**
    * 设置 监督方式
    * @param superviseShowList
    */
    public void setSuperviseShowList(List<String> superviseShowList){
        this.superviseShowList = superviseShowList;
    }
    /**
    * 获取 开始 是否样表展示（0.否，1.是）
    * @return mattertypeStart
    */
    public Integer getMattertypeStart(){
        return this.mattertypeStart;
    }

    /**
    * 设置 开始 是否样表展示（0.否，1.是）
    * @param mattertypeStart
    */
    public void setMattertypeStart(Integer mattertypeStart){
        this.mattertypeStart = mattertypeStart;
    }

    /**
    * 获取 结束 是否样表展示（0.否，1.是）
    * @return $mattertypeEnd
    */
    public Integer getMattertypeEnd(){
        return this.mattertypeEnd;
    }

    /**
    * 设置 结束 是否样表展示（0.否，1.是）
    * @param mattertypeEnd
    */
    public void setMattertypeEnd(Integer mattertypeEnd){
        this.mattertypeEnd = mattertypeEnd;
    }

    /**
    * 获取 增加 是否样表展示（0.否，1.是）
    * @return mattertypeIncrement
    */
    public Integer getMattertypeIncrement(){
        return this.mattertypeIncrement;
    }

    /**
    * 设置 增加 是否样表展示（0.否，1.是）
    * @param mattertypeIncrement
    */
    public void setMattertypeIncrement(Integer mattertypeIncrement){
        this.mattertypeIncrement = mattertypeIncrement;
    }

    /**
    * 获取 是否样表展示（0.否，1.是）
    * @return mattertypeList
    */
    public List<Integer> getMattertypeList(){
        return this.mattertypeList;
    }

    /**
    * 设置 是否样表展示（0.否，1.是）
    * @param mattertypeList
    */
    public void setMattertypeList(List<Integer> mattertypeList){
        this.mattertypeList = mattertypeList;
    }

    /**
    * 获取 部门编号
    * @return deptCodeList
    */
    public List<String> getDeptCodeList(){
        return this.deptCodeList;
    }

    /**
    * 设置 部门编号
    * @param deptCodeList
    */
    public void setDeptCodeList(List<String> deptCodeList){
        this.deptCodeList = deptCodeList;
    }
    /**
    * 获取 目录清单编码
    * @return dirListCodeList
    */
    public List<String> getDirListCodeList(){
        return this.dirListCodeList;
    }

    /**
    * 设置 目录清单编码
    * @param dirListCodeList
    */
    public void setDirListCodeList(List<String> dirListCodeList){
        this.dirListCodeList = dirListCodeList;
    }
    /**
    * 获取 运行系统名称
    * @return runSystemShowList
    */
    public List<String> getRunSystemShowList(){
        return this.runSystemShowList;
    }

    /**
    * 设置 运行系统名称
    * @param runSystemShowList
    */
    public void setRunSystemShowList(List<String> runSystemShowList){
        this.runSystemShowList = runSystemShowList;
    }
    /**
    * 获取 联审信息
    * @return jointReviewInfoShowList
    */
    public List<String> getJointReviewInfoShowList(){
        return this.jointReviewInfoShowList;
    }

    /**
    * 设置 联审信息
    * @param jointReviewInfoShowList
    */
    public void setJointReviewInfoShowList(List<String> jointReviewInfoShowList){
        this.jointReviewInfoShowList = jointReviewInfoShowList;
    }
    /**
    * 获取 办理类型
    * @return doThingTypeShowList
    */
    public List<String> getDoThingTypeShowList(){
        return this.doThingTypeShowList;
    }

    /**
    * 设置 办理类型
    * @param doThingTypeShowList
    */
    public void setDoThingTypeShowList(List<String> doThingTypeShowList){
        this.doThingTypeShowList = doThingTypeShowList;
    }
    /**
    * 获取 公示时限
    * @return pubTimeShowList
    */
    public List<String> getPubTimeShowList(){
        return this.pubTimeShowList;
    }

    /**
    * 设置 公示时限
    * @param pubTimeShowList
    */
    public void setPubTimeShowList(List<String> pubTimeShowList){
        this.pubTimeShowList = pubTimeShowList;
    }
    /**
    * 获取 投诉电话
    * @return supervisoryTelephoneShowList
    */
    public List<String> getSupervisoryTelephoneShowList(){
        return this.supervisoryTelephoneShowList;
    }

    /**
    * 设置 投诉电话
    * @param supervisoryTelephoneShowList
    */
    public void setSupervisoryTelephoneShowList(List<String> supervisoryTelephoneShowList){
        this.supervisoryTelephoneShowList = supervisoryTelephoneShowList;
    }
    /**
    * 获取 办公时间
    * @return handleTimeShowList
    */
    public List<String> getHandleTimeShowList(){
        return this.handleTimeShowList;
    }

    /**
    * 设置 办公时间
    * @param handleTimeShowList
    */
    public void setHandleTimeShowList(List<String> handleTimeShowList){
        this.handleTimeShowList = handleTimeShowList;
    }
    /**
    * 获取 办公地址
    * @return handlePlaceShowList
    */
    public List<String> getHandlePlaceShowList(){
        return this.handlePlaceShowList;
    }

    /**
    * 设置 办公地址
    * @param handlePlaceShowList
    */
    public void setHandlePlaceShowList(List<String> handlePlaceShowList){
        this.handlePlaceShowList = handlePlaceShowList;
    }
    /**
    * 获取 节日类型
    * @return daysTypeShowList
    */
    public List<String> getDaysTypeShowList(){
        return this.daysTypeShowList;
    }

    /**
    * 设置 节日类型
    * @param daysTypeShowList
    */
    public void setDaysTypeShowList(List<String> daysTypeShowList){
        this.daysTypeShowList = daysTypeShowList;
    }
    /**
    * 获取 行业
    * @return tradeShowList
    */
    public List<String> getTradeShowList(){
        return this.tradeShowList;
    }

    /**
    * 设置 行业
    * @param tradeShowList
    */
    public void setTradeShowList(List<String> tradeShowList){
        this.tradeShowList = tradeShowList;
    }
    /**
    * 获取 事项来源
    * @return eventSourceShowList
    */
    public List<String> getEventSourceShowList(){
        return this.eventSourceShowList;
    }

    /**
    * 设置 事项来源
    * @param eventSourceShowList
    */
    public void setEventSourceShowList(List<String> eventSourceShowList){
        this.eventSourceShowList = eventSourceShowList;
    }
    /**
    * 获取 审批结果类型
    * @return applyresultTypeShowList
    */
    public List<String> getApplyresultTypeShowList(){
        return this.applyresultTypeShowList;
    }

    /**
    * 设置 审批结果类型
    * @param applyresultTypeShowList
    */
    public void setApplyresultTypeShowList(List<String> applyresultTypeShowList){
        this.applyresultTypeShowList = applyresultTypeShowList;
    }
    /**
    * 获取 审查类型
    * @return typeOfReviewList
    */
    public List<String> getTypeOfReviewList(){
        return this.typeOfReviewList;
    }

    /**
    * 设置 审查类型
    * @param typeOfReviewList
    */
    public void setTypeOfReviewList(List<String> typeOfReviewList){
        this.typeOfReviewList = typeOfReviewList;
    }
    /**
    * 获取 实施机构
    * @return enforcementList
    */
    public List<String> getEnforcementList(){
        return this.enforcementList;
    }

    /**
    * 设置 实施机构
    * @param enforcementList
    */
    public void setEnforcementList(List<String> enforcementList){
        this.enforcementList = enforcementList;
    }
    /**
    * 获取 服务主题分类
    * @return serviceClassificationList
    */
    public List<String> getServiceClassificationList(){
        return this.serviceClassificationList;
    }

    /**
    * 设置 服务主题分类
    * @param serviceClassificationList
    */
    public void setServiceClassificationList(List<String> serviceClassificationList){
        this.serviceClassificationList = serviceClassificationList;
    }
    /**
    * 获取 许可数量
    * @return licenseNumberList
    */
    public List<String> getLicenseNumberList(){
        return this.licenseNumberList;
    }

    /**
    * 设置 许可数量
    * @param licenseNumberList
    */
    public void setLicenseNumberList(List<String> licenseNumberList){
        this.licenseNumberList = licenseNumberList;
    }
    /**
    * 获取 开始 办事者到办理现场次数
    * @return numberStart
    */
    public Integer getNumberStart(){
        return this.numberStart;
    }

    /**
    * 设置 开始 办事者到办理现场次数
    * @param numberStart
    */
    public void setNumberStart(Integer numberStart){
        this.numberStart = numberStart;
    }

    /**
    * 获取 结束 办事者到办理现场次数
    * @return $numberEnd
    */
    public Integer getNumberEnd(){
        return this.numberEnd;
    }

    /**
    * 设置 结束 办事者到办理现场次数
    * @param numberEnd
    */
    public void setNumberEnd(Integer numberEnd){
        this.numberEnd = numberEnd;
    }

    /**
    * 获取 增加 办事者到办理现场次数
    * @return numberIncrement
    */
    public Integer getNumberIncrement(){
        return this.numberIncrement;
    }

    /**
    * 设置 增加 办事者到办理现场次数
    * @param numberIncrement
    */
    public void setNumberIncrement(Integer numberIncrement){
        this.numberIncrement = numberIncrement;
    }

    /**
    * 获取 办事者到办理现场次数
    * @return numberList
    */
    public List<Integer> getNumberList(){
        return this.numberList;
    }

    /**
    * 设置 办事者到办理现场次数
    * @param numberList
    */
    public void setNumberList(List<Integer> numberList){
        this.numberList = numberList;
    }

    /**
    * 获取 办理查询
    * @return inquireList
    */
    public List<String> getInquireList(){
        return this.inquireList;
    }

    /**
    * 设置 办理查询
    * @param inquireList
    */
    public void setInquireList(List<String> inquireList){
        this.inquireList = inquireList;
    }
    /**
    * 获取 办理结果名称
    * @return handlingresultNamesList
    */
    public List<String> getHandlingresultNamesList(){
        return this.handlingresultNamesList;
    }

    /**
    * 设置 办理结果名称
    * @param handlingresultNamesList
    */
    public void setHandlingresultNamesList(List<String> handlingresultNamesList){
        this.handlingresultNamesList = handlingresultNamesList;
    }
    /**
    * 获取 审批结果样本
    * @return sampleApprovalResultsList
    */
    public List<String> getSampleApprovalResultsList(){
        return this.sampleApprovalResultsList;
    }

    /**
    * 设置 审批结果样本
    * @param sampleApprovalResultsList
    */
    public void setSampleApprovalResultsList(List<String> sampleApprovalResultsList){
        this.sampleApprovalResultsList = sampleApprovalResultsList;
    }
    /**
    * 获取 实施主题
    * @return performDeptNameList
    */
    public List<String> getPerformDeptNameList(){
        return this.performDeptNameList;
    }

    /**
    * 设置 实施主题
    * @param performDeptNameList
    */
    public void setPerformDeptNameList(List<String> performDeptNameList){
        this.performDeptNameList = performDeptNameList;
    }
    /**
    * 获取 html存储地址
    * @return htmlList
    */
    public List<String> getHtmlList(){
        return this.htmlList;
    }

    /**
    * 设置 html存储地址
    * @param htmlList
    */
    public void setHtmlList(List<String> htmlList){
        this.htmlList = htmlList;
    }
    /**
    * 获取 全债清单类型
    * @return eventTypeList
    */
    public List<String> getEventTypeList(){
        return this.eventTypeList;
    }

    /**
    * 设置 全债清单类型
    * @param eventTypeList
    */
    public void setEventTypeList(List<String> eventTypeList){
        this.eventTypeList = eventTypeList;
    }
    /**
    * 获取 开始 
    * @return shardKeyStart
    */
    public Long getShardKeyStart(){
        return this.shardKeyStart;
    }

    /**
    * 设置 开始 
    * @param shardKeyStart
    */
    public void setShardKeyStart(Long shardKeyStart){
        this.shardKeyStart = shardKeyStart;
    }

    /**
    * 获取 结束 
    * @return $shardKeyEnd
    */
    public Long getShardKeyEnd(){
        return this.shardKeyEnd;
    }

    /**
    * 设置 结束 
    * @param shardKeyEnd
    */
    public void setShardKeyEnd(Long shardKeyEnd){
        this.shardKeyEnd = shardKeyEnd;
    }

    /**
    * 获取 增加 
    * @return shardKeyIncrement
    */
    public Long getShardKeyIncrement(){
        return this.shardKeyIncrement;
    }

    /**
    * 设置 增加 
    * @param shardKeyIncrement
    */
    public void setShardKeyIncrement(Long shardKeyIncrement){
        this.shardKeyIncrement = shardKeyIncrement;
    }

    /**
    * 获取 
    * @return shardKeyList
    */
    public List<Long> getShardKeyList(){
        return this.shardKeyList;
    }

    /**
    * 设置 
    * @param shardKeyList
    */
    public void setShardKeyList(List<Long> shardKeyList){
        this.shardKeyList = shardKeyList;
    }

    /**
    * 获取 开始 个人1
    * @return parsonStart
    */
    public Integer getParsonStart(){
        return this.parsonStart;
    }

    /**
    * 设置 开始 个人1
    * @param parsonStart
    */
    public void setParsonStart(Integer parsonStart){
        this.parsonStart = parsonStart;
    }

    /**
    * 获取 结束 个人1
    * @return $parsonEnd
    */
    public Integer getParsonEnd(){
        return this.parsonEnd;
    }

    /**
    * 设置 结束 个人1
    * @param parsonEnd
    */
    public void setParsonEnd(Integer parsonEnd){
        this.parsonEnd = parsonEnd;
    }

    /**
    * 获取 增加 个人1
    * @return parsonIncrement
    */
    public Integer getParsonIncrement(){
        return this.parsonIncrement;
    }

    /**
    * 设置 增加 个人1
    * @param parsonIncrement
    */
    public void setParsonIncrement(Integer parsonIncrement){
        this.parsonIncrement = parsonIncrement;
    }

    /**
    * 获取 个人1
    * @return parsonList
    */
    public List<Integer> getParsonList(){
        return this.parsonList;
    }

    /**
    * 设置 个人1
    * @param parsonList
    */
    public void setParsonList(List<Integer> parsonList){
        this.parsonList = parsonList;
    }

    /**
    * 获取 开始 法人 1
    * @return lengalStart
    */
    public Integer getLengalStart(){
        return this.lengalStart;
    }

    /**
    * 设置 开始 法人 1
    * @param lengalStart
    */
    public void setLengalStart(Integer lengalStart){
        this.lengalStart = lengalStart;
    }

    /**
    * 获取 结束 法人 1
    * @return $lengalEnd
    */
    public Integer getLengalEnd(){
        return this.lengalEnd;
    }

    /**
    * 设置 结束 法人 1
    * @param lengalEnd
    */
    public void setLengalEnd(Integer lengalEnd){
        this.lengalEnd = lengalEnd;
    }

    /**
    * 获取 增加 法人 1
    * @return lengalIncrement
    */
    public Integer getLengalIncrement(){
        return this.lengalIncrement;
    }

    /**
    * 设置 增加 法人 1
    * @param lengalIncrement
    */
    public void setLengalIncrement(Integer lengalIncrement){
        this.lengalIncrement = lengalIncrement;
    }

    /**
    * 获取 法人 1
    * @return lengalList
    */
    public List<Integer> getLengalList(){
        return this.lengalList;
    }

    /**
    * 设置 法人 1
    * @param lengalList
    */
    public void setLengalList(List<Integer> lengalList){
        this.lengalList = lengalList;
    }

    /**
    * 获取 总材料说明
    * @return materialRemarkList
    */
    public List<String> getMaterialRemarkList(){
        return this.materialRemarkList;
    }

    /**
    * 设置 总材料说明
    * @param materialRemarkList
    */
    public void setMaterialRemarkList(List<String> materialRemarkList){
        this.materialRemarkList = materialRemarkList;
    }
    /**
    * 获取 事项二维码
    * @return codeurlList
    */
    public List<String> getCodeurlList(){
        return this.codeurlList;
    }

    /**
    * 设置 事项二维码
    * @param codeurlList
    */
    public void setCodeurlList(List<String> codeurlList){
        this.codeurlList = codeurlList;
    }
    /**
    * 获取 行使方式
    * @return applyObjectList
    */
    public List<String> getApplyObjectList(){
        return this.applyObjectList;
    }

    /**
    * 设置 行使方式
    * @param applyObjectList
    */
    public void setApplyObjectList(List<String> applyObjectList){
        this.applyObjectList = applyObjectList;
    }
    /**
    * 获取 统一受理模式
    * @return isUniteAcceptList
    */
    public List<String> getIsUniteAcceptList(){
        return this.isUniteAcceptList;
    }

    /**
    * 设置 统一受理模式
    * @param isUniteAcceptList
    */
    public void setIsUniteAcceptList(List<String> isUniteAcceptList){
        this.isUniteAcceptList = isUniteAcceptList;
    }
    /**
    * 获取 开始 排序
    * @return sortStart
    */
    public Integer getSortStart(){
        return this.sortStart;
    }

    /**
    * 设置 开始 排序
    * @param sortStart
    */
    public void setSortStart(Integer sortStart){
        this.sortStart = sortStart;
    }

    /**
    * 获取 结束 排序
    * @return $sortEnd
    */
    public Integer getSortEnd(){
        return this.sortEnd;
    }

    /**
    * 设置 结束 排序
    * @param sortEnd
    */
    public void setSortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
    }

    /**
    * 获取 增加 排序
    * @return sortIncrement
    */
    public Integer getSortIncrement(){
        return this.sortIncrement;
    }

    /**
    * 设置 增加 排序
    * @param sortIncrement
    */
    public void setSortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
    }

    /**
    * 获取 排序
    * @return sortList
    */
    public List<Integer> getSortList(){
        return this.sortList;
    }

    /**
    * 设置 排序
    * @param sortList
    */
    public void setSortList(List<Integer> sortList){
        this.sortList = sortList;
    }

    /**
    * 获取 开始 是否推荐(0.未推荐，1.推荐)
    * @return isRecommendStart
    */
    public Integer getIsRecommendStart(){
        return this.isRecommendStart;
    }

    /**
    * 设置 开始 是否推荐(0.未推荐，1.推荐)
    * @param isRecommendStart
    */
    public void setIsRecommendStart(Integer isRecommendStart){
        this.isRecommendStart = isRecommendStart;
    }

    /**
    * 获取 结束 是否推荐(0.未推荐，1.推荐)
    * @return $isRecommendEnd
    */
    public Integer getIsRecommendEnd(){
        return this.isRecommendEnd;
    }

    /**
    * 设置 结束 是否推荐(0.未推荐，1.推荐)
    * @param isRecommendEnd
    */
    public void setIsRecommendEnd(Integer isRecommendEnd){
        this.isRecommendEnd = isRecommendEnd;
    }

    /**
    * 获取 增加 是否推荐(0.未推荐，1.推荐)
    * @return isRecommendIncrement
    */
    public Integer getIsRecommendIncrement(){
        return this.isRecommendIncrement;
    }

    /**
    * 设置 增加 是否推荐(0.未推荐，1.推荐)
    * @param isRecommendIncrement
    */
    public void setIsRecommendIncrement(Integer isRecommendIncrement){
        this.isRecommendIncrement = isRecommendIncrement;
    }

    /**
    * 获取 是否推荐(0.未推荐，1.推荐)
    * @return isRecommendList
    */
    public List<Integer> getIsRecommendList(){
        return this.isRecommendList;
    }

    /**
    * 设置 是否推荐(0.未推荐，1.推荐)
    * @param isRecommendList
    */
    public void setIsRecommendList(List<Integer> isRecommendList){
        this.isRecommendList = isRecommendList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public SheetMatterQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public SheetMatterQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public SheetMatterQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public SheetMatterQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public SheetMatterQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  站点ID
    * @param siteId
    */
    public SheetMatterQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点ID
    * @param siteIdStart
    */
    public SheetMatterQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点ID
    * @param siteIdEnd
    */
    public SheetMatterQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点ID
    * @param siteIdIncrement
    */
    public SheetMatterQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点ID
    * @param siteIdList
    */
    public SheetMatterQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }


	/**
    * 设置 从政务系统来的事项id
    * @param tid
    */
    public SheetMatterQuery tid(String tid){
        setTid(tid);
		return this;
    }

    /**
    * 设置 从政务系统来的事项id
    * @param tidList
    */
    public SheetMatterQuery tidList(List<String> tidList){
        this.tidList = tidList;
		return this;
    }


	/**
    * 设置 从政务系统来的事项code
    * @param tcode
    */
    public SheetMatterQuery tcode(String tcode){
        setTcode(tcode);
		return this;
    }

    /**
    * 设置 从政务系统来的事项code
    * @param tcodeList
    */
    public SheetMatterQuery tcodeList(List<String> tcodeList){
        this.tcodeList = tcodeList;
		return this;
    }


	/**
    * 设置 从政务系统来的事项name
    * @param tname
    */
    public SheetMatterQuery tname(String tname){
        setTname(tname);
		return this;
    }

    /**
    * 设置 从政务系统来的事项name
    * @param tnameList
    */
    public SheetMatterQuery tnameList(List<String> tnameList){
        this.tnameList = tnameList;
		return this;
    }


	/**
    * 设置 事项名称
    * @param matterName
    */
    public SheetMatterQuery matterName(String matterName){
        setMatterName(matterName);
		return this;
    }

    /**
    * 设置 事项名称
    * @param matterNameList
    */
    public SheetMatterQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
		return this;
    }


	/**
    * 设置 英语事项名
    * @param englishName
    */
    public SheetMatterQuery englishName(String englishName){
        setEnglishName(englishName);
		return this;
    }

    /**
    * 设置 英语事项名
    * @param englishNameList
    */
    public SheetMatterQuery englishNameList(List<String> englishNameList){
        this.englishNameList = englishNameList;
		return this;
    }


	/**
    * 设置 事项编号
    * @param matterNo
    */
    public SheetMatterQuery matterNo(String matterNo){
        setMatterNo(matterNo);
		return this;
    }

    /**
    * 设置 事项编号
    * @param matterNoList
    */
    public SheetMatterQuery matterNoList(List<String> matterNoList){
        this.matterNoList = matterNoList;
		return this;
    }


	/**
    * 设置 服务对象 （1.事业法人，2.社会组织法人，3.非法人企业，4.企业法人，5.自然人，6.其他组织）
    * @param appoveObjectShow
    */
    public SheetMatterQuery appoveObjectShow(String appoveObjectShow){
        setAppoveObjectShow(appoveObjectShow);
		return this;
    }

    /**
    * 设置 服务对象 （1.事业法人，2.社会组织法人，3.非法人企业，4.企业法人，5.自然人，6.其他组织）
    * @param appoveObjectShowList
    */
    public SheetMatterQuery appoveObjectShowList(List<String> appoveObjectShowList){
        this.appoveObjectShowList = appoveObjectShowList;
		return this;
    }


	/**
    * 设置 通办范围 （1.无，2.全国，3.全省，4.全市，5.全县，6.全镇[乡、街道]，7.跨村[社区]）
    * @param operatScopeShow
    */
    public SheetMatterQuery operatScopeShow(String operatScopeShow){
        setOperatScopeShow(operatScopeShow);
		return this;
    }

    /**
    * 设置 通办范围 （1.无，2.全国，3.全省，4.全市，5.全县，6.全镇[乡、街道]，7.跨村[社区]）
    * @param operatScopeShowList
    */
    public SheetMatterQuery operatScopeShowList(List<String> operatScopeShowList){
        this.operatScopeShowList = operatScopeShowList;
		return this;
    }


	/**
    * 设置 办件类型（1.网络办件，2.行政审批一般件，3.综合窗口件）
    * @param appoveTimeLimitShow
    */
    public SheetMatterQuery appoveTimeLimitShow(String appoveTimeLimitShow){
        setAppoveTimeLimitShow(appoveTimeLimitShow);
		return this;
    }

    /**
    * 设置 办件类型（1.网络办件，2.行政审批一般件，3.综合窗口件）
    * @param appoveTimeLimitShowList
    */
    public SheetMatterQuery appoveTimeLimitShowList(List<String> appoveTimeLimitShowList){
        this.appoveTimeLimitShowList = appoveTimeLimitShowList;
		return this;
    }


	/**
    * 设置 办理形式（1.窗口办理，2.网上办理）
    * @param handleType
    */
    public SheetMatterQuery handleType(String handleType){
        setHandleType(handleType);
		return this;
    }

    /**
    * 设置 办理形式（1.窗口办理，2.网上办理）
    * @param handleTypeList
    */
    public SheetMatterQuery handleTypeList(List<String> handleTypeList){
        this.handleTypeList = handleTypeList;
		return this;
    }


	/**
    * 设置 法定办结时限
    * @param legalTimeLimitShow
    */
    public SheetMatterQuery legalTimeLimitShow(String legalTimeLimitShow){
        setLegalTimeLimitShow(legalTimeLimitShow);
		return this;
    }

    /**
    * 设置 法定办结时限
    * @param legalTimeLimitShowList
    */
    public SheetMatterQuery legalTimeLimitShowList(List<String> legalTimeLimitShowList){
        this.legalTimeLimitShowList = legalTimeLimitShowList;
		return this;
    }


	/**
    * 设置 法定时限办结说明
    * @param legalEndExplain
    */
    public SheetMatterQuery legalEndExplain(String legalEndExplain){
        setLegalEndExplain(legalEndExplain);
		return this;
    }

    /**
    * 设置 法定时限办结说明
    * @param legalEndExplainList
    */
    public SheetMatterQuery legalEndExplainList(List<String> legalEndExplainList){
        this.legalEndExplainList = legalEndExplainList;
		return this;
    }


	/**
    * 设置 承诺办结时限
    * @param promiseTimeLimitShow
    */
    public SheetMatterQuery promiseTimeLimitShow(String promiseTimeLimitShow){
        setPromiseTimeLimitShow(promiseTimeLimitShow);
		return this;
    }

    /**
    * 设置 承诺办结时限
    * @param promiseTimeLimitShowList
    */
    public SheetMatterQuery promiseTimeLimitShowList(List<String> promiseTimeLimitShowList){
        this.promiseTimeLimitShowList = promiseTimeLimitShowList;
		return this;
    }


	/**
    * 设置 承诺时限办结说明
    * @param promiseEndExplain
    */
    public SheetMatterQuery promiseEndExplain(String promiseEndExplain){
        setPromiseEndExplain(promiseEndExplain);
		return this;
    }

    /**
    * 设置 承诺时限办结说明
    * @param promiseEndExplainList
    */
    public SheetMatterQuery promiseEndExplainList(List<String> promiseEndExplainList){
        this.promiseEndExplainList = promiseEndExplainList;
		return this;
    }


	/**
    * 设置 是否收费（0.否，1.是）
    * @param isChargesShow
    */
    public SheetMatterQuery isChargesShow(String isChargesShow){
        setIsChargesShow(isChargesShow);
		return this;
    }

    /**
    * 设置 是否收费（0.否，1.是）
    * @param isChargesShowList
    */
    public SheetMatterQuery isChargesShowList(List<String> isChargesShowList){
        this.isChargesShowList = isChargesShowList;
		return this;
    }


	/**
    * 设置 认证等级需求（1.实名认证，2.单次面签，3.每次面签）
    * @param certificationLevelsShow
    */
    public SheetMatterQuery certificationLevelsShow(String certificationLevelsShow){
        setCertificationLevelsShow(certificationLevelsShow);
		return this;
    }

    /**
    * 设置 认证等级需求（1.实名认证，2.单次面签，3.每次面签）
    * @param certificationLevelsShowList
    */
    public SheetMatterQuery certificationLevelsShowList(List<String> certificationLevelsShowList){
        this.certificationLevelsShowList = certificationLevelsShowList;
		return this;
    }




	/**
    * 设置 特别程序
    * @param specialProcedure
    */
    public SheetMatterQuery specialProcedure(String specialProcedure){
        setSpecialProcedure(specialProcedure);
		return this;
    }

    /**
    * 设置 特别程序
    * @param specialProcedureList
    */
    public SheetMatterQuery specialProcedureList(List<String> specialProcedureList){
        this.specialProcedureList = specialProcedureList;
		return this;
    }

    /**
    * 设置  窗口到现场次数
    * @param windowToTheSceneNum
    */
    public SheetMatterQuery windowToTheSceneNum(Integer windowToTheSceneNum){
	    setWindowToTheSceneNum(windowToTheSceneNum);
		return this;
    }
	
	 /**
    * 设置 开始 窗口到现场次数
    * @param windowToTheSceneNumStart
    */
    public SheetMatterQuery windowToTheSceneNumStart(Integer windowToTheSceneNumStart){
		this.windowToTheSceneNumStart = windowToTheSceneNumStart;
		return this;
    }

    /**
    * 设置 结束 窗口到现场次数
    * @param windowToTheSceneNumEnd
    */
    public SheetMatterQuery windowToTheSceneNumEnd(Integer windowToTheSceneNumEnd){
		this.windowToTheSceneNumEnd = windowToTheSceneNumEnd;
		return this;
    }

    /**
    * 设置 增加 窗口到现场次数
    * @param windowToTheSceneNumIncrement
    */
    public SheetMatterQuery windowToTheSceneNumIncrement(Integer windowToTheSceneNumIncrement){
		this.windowToTheSceneNumIncrement = windowToTheSceneNumIncrement;
		return this;
    }

    /**
    * 设置 窗口到现场次数
    * @param windowToTheSceneNumList
    */
    public SheetMatterQuery windowToTheSceneNumList(List<Integer> windowToTheSceneNumList){
        this.windowToTheSceneNumList = windowToTheSceneNumList;
		return this;
        }


	/**
    * 设置 是否网上预约,窗口办理选（0.否，1.是）
    * @param isOnlineSubscribeShow
    */
    public SheetMatterQuery isOnlineSubscribeShow(String isOnlineSubscribeShow){
        setIsOnlineSubscribeShow(isOnlineSubscribeShow);
		return this;
    }

    /**
    * 设置 是否网上预约,窗口办理选（0.否，1.是）
    * @param isOnlineSubscribeShowList
    */
    public SheetMatterQuery isOnlineSubscribeShowList(List<String> isOnlineSubscribeShowList){
        this.isOnlineSubscribeShowList = isOnlineSubscribeShowList;
		return this;
    }


	/**
    * 设置 物流快递,窗口办理选（0.否，1.是）
    * @param isExpressTakeShow
    */
    public SheetMatterQuery isExpressTakeShow(String isExpressTakeShow){
        setIsExpressTakeShow(isExpressTakeShow);
		return this;
    }

    /**
    * 设置 物流快递,窗口办理选（0.否，1.是）
    * @param isExpressTakeShowList
    */
    public SheetMatterQuery isExpressTakeShowList(List<String> isExpressTakeShowList){
        this.isExpressTakeShowList = isExpressTakeShowList;
		return this;
    }


	/**
    * 设置 是否支持全省范围就近取件（0.否，1.是）
    * @param isProvinceAcquisitionShow
    */
    public SheetMatterQuery isProvinceAcquisitionShow(String isProvinceAcquisitionShow){
        setIsProvinceAcquisitionShow(isProvinceAcquisitionShow);
		return this;
    }

    /**
    * 设置 是否支持全省范围就近取件（0.否，1.是）
    * @param isProvinceAcquisitionShowList
    */
    public SheetMatterQuery isProvinceAcquisitionShowList(List<String> isProvinceAcquisitionShowList){
        this.isProvinceAcquisitionShowList = isProvinceAcquisitionShowList;
		return this;
    }


	/**
    * 设置 是否支持全省范围就近办理（0.否，1.是）
    * @param isApplyProvinceShow
    */
    public SheetMatterQuery isApplyProvinceShow(String isApplyProvinceShow){
        setIsApplyProvinceShow(isApplyProvinceShow);
		return this;
    }

    /**
    * 设置 是否支持全省范围就近办理（0.否，1.是）
    * @param isApplyProvinceShowList
    */
    public SheetMatterQuery isApplyProvinceShowList(List<String> isApplyProvinceShowList){
        this.isApplyProvinceShowList = isApplyProvinceShowList;
		return this;
    }


	/**
    * 设置 必须到现场原因
    * @param mustSceneExplain
    */
    public SheetMatterQuery mustSceneExplain(String mustSceneExplain){
        setMustSceneExplain(mustSceneExplain);
		return this;
    }

    /**
    * 设置 必须到现场原因
    * @param mustSceneExplainList
    */
    public SheetMatterQuery mustSceneExplainList(List<String> mustSceneExplainList){
        this.mustSceneExplainList = mustSceneExplainList;
		return this;
    }


	/**
    * 设置 网办类型（1.原件预审，2.原件核验，3.全程网办）
    * @param onlineType
    */
    public SheetMatterQuery onlineType(String onlineType){
        setOnlineType(onlineType);
		return this;
    }

    /**
    * 设置 网办类型（1.原件预审，2.原件核验，3.全程网办）
    * @param onlineTypeList
    */
    public SheetMatterQuery onlineTypeList(List<String> onlineTypeList){
        this.onlineTypeList = onlineTypeList;
		return this;
    }

    /**
    * 设置  网办到现场次数
    * @param onlineToTheSceneNum
    */
    public SheetMatterQuery onlineToTheSceneNum(Integer onlineToTheSceneNum){
	    setOnlineToTheSceneNum(onlineToTheSceneNum);
		return this;
    }
	
	 /**
    * 设置 开始 网办到现场次数
    * @param onlineToTheSceneNumStart
    */
    public SheetMatterQuery onlineToTheSceneNumStart(Integer onlineToTheSceneNumStart){
		this.onlineToTheSceneNumStart = onlineToTheSceneNumStart;
		return this;
    }

    /**
    * 设置 结束 网办到现场次数
    * @param onlineToTheSceneNumEnd
    */
    public SheetMatterQuery onlineToTheSceneNumEnd(Integer onlineToTheSceneNumEnd){
		this.onlineToTheSceneNumEnd = onlineToTheSceneNumEnd;
		return this;
    }

    /**
    * 设置 增加 网办到现场次数
    * @param onlineToTheSceneNumIncrement
    */
    public SheetMatterQuery onlineToTheSceneNumIncrement(Integer onlineToTheSceneNumIncrement){
		this.onlineToTheSceneNumIncrement = onlineToTheSceneNumIncrement;
		return this;
    }

    /**
    * 设置 网办到现场次数
    * @param onlineToTheSceneNumList
    */
    public SheetMatterQuery onlineToTheSceneNumList(List<Integer> onlineToTheSceneNumList){
        this.onlineToTheSceneNumList = onlineToTheSceneNumList;
		return this;
        }


	/**
    * 设置 网络办理深度（1.互联网咨询，2.互联网收件，3.互联网预审，4.互联网受理，5.互联网办理，6.互联网办理结果信息反馈，7.其他）
    * @param onlineOperatDeep
    */
    public SheetMatterQuery onlineOperatDeep(String onlineOperatDeep){
        setOnlineOperatDeep(onlineOperatDeep);
		return this;
    }

    /**
    * 设置 网络办理深度（1.互联网咨询，2.互联网收件，3.互联网预审，4.互联网受理，5.互联网办理，6.互联网办理结果信息反馈，7.其他）
    * @param onlineOperatDeepList
    */
    public SheetMatterQuery onlineOperatDeepList(List<String> onlineOperatDeepList){
        this.onlineOperatDeepList = onlineOperatDeepList;
		return this;
    }


	/**
    * 设置 物流快递，网上办理选（0.否，1.是）
    * @param isExpressTakeOnlineShow
    */
    public SheetMatterQuery isExpressTakeOnlineShow(String isExpressTakeOnlineShow){
        setIsExpressTakeOnlineShow(isExpressTakeOnlineShow);
		return this;
    }

    /**
    * 设置 物流快递，网上办理选（0.否，1.是）
    * @param isExpressTakeOnlineShowList
    */
    public SheetMatterQuery isExpressTakeOnlineShowList(List<String> isExpressTakeOnlineShowList){
        this.isExpressTakeOnlineShowList = isExpressTakeOnlineShowList;
		return this;
    }


	/**
    * 设置 是否支持上门收取申请（0.否，1.是）
    * @param isDoorTakeShow
    */
    public SheetMatterQuery isDoorTakeShow(String isDoorTakeShow){
        setIsDoorTakeShow(isDoorTakeShow);
		return this;
    }

    /**
    * 设置 是否支持上门收取申请（0.否，1.是）
    * @param isDoorTakeShowList
    */
    public SheetMatterQuery isDoorTakeShowList(List<String> isDoorTakeShowList){
        this.isDoorTakeShowList = isDoorTakeShowList;
		return this;
    }


	/**
    * 设置 网上必须到现场原因
    * @param onlineMustSceneExplain
    */
    public SheetMatterQuery onlineMustSceneExplain(String onlineMustSceneExplain){
        setOnlineMustSceneExplain(onlineMustSceneExplain);
		return this;
    }

    /**
    * 设置 网上必须到现场原因
    * @param onlineMustSceneExplainList
    */
    public SheetMatterQuery onlineMustSceneExplainList(List<String> onlineMustSceneExplainList){
        this.onlineMustSceneExplainList = onlineMustSceneExplainList;
		return this;
    }


	/**
    * 设置 实施主体
    * @param performDeptType
    */
    public SheetMatterQuery performDeptType(String performDeptType){
        setPerformDeptType(performDeptType);
		return this;
    }

    /**
    * 设置 实施主体
    * @param performDeptTypeList
    */
    public SheetMatterQuery performDeptTypeList(List<String> performDeptTypeList){
        this.performDeptTypeList = performDeptTypeList;
		return this;
    }


	/**
    * 设置 事项版本
    * @param matterEdition
    */
    public SheetMatterQuery matterEdition(String matterEdition){
        setMatterEdition(matterEdition);
		return this;
    }

    /**
    * 设置 事项版本
    * @param matterEditionList
    */
    public SheetMatterQuery matterEditionList(List<String> matterEditionList){
        this.matterEditionList = matterEditionList;
		return this;
    }


	/**
    * 设置 事项类型名称（1A.行政许可，1B.行政处罚，1C.行政强制，1D.行政征收，1G.行政给付，1I.行政检查，1F.行政确认，1H.行政奖励，1E.行政裁决，1Z.其他行政权力，2A.主动服务，2B.依申请服务，2C.咨询查询，3A.未归类事项）
    * @param eventTypeShow
    */
    public SheetMatterQuery eventTypeShow(String eventTypeShow){
        setEventTypeShow(eventTypeShow);
		return this;
    }

    /**
    * 设置 事项类型名称（1A.行政许可，1B.行政处罚，1C.行政强制，1D.行政征收，1G.行政给付，1I.行政检查，1F.行政确认，1H.行政奖励，1E.行政裁决，1Z.其他行政权力，2A.主动服务，2B.依申请服务，2C.咨询查询，3A.未归类事项）
    * @param eventTypeShowList
    */
    public SheetMatterQuery eventTypeShowList(List<String> eventTypeShowList){
        this.eventTypeShowList = eventTypeShowList;
		return this;
    }


	/**
    * 设置 行使层级名称（1.省级，2.市级，3.县级，4.镇[乡、街道]，5.村[社区]级）
    * @param performHierarchyShow
    */
    public SheetMatterQuery performHierarchyShow(String performHierarchyShow){
        setPerformHierarchyShow(performHierarchyShow);
		return this;
    }

    /**
    * 设置 行使层级名称（1.省级，2.市级，3.县级，4.镇[乡、街道]，5.村[社区]级）
    * @param performHierarchyShowList
    */
    public SheetMatterQuery performHierarchyShowList(List<String> performHierarchyShowList){
        this.performHierarchyShowList = performHierarchyShowList;
		return this;
    }


	/**
    * 设置 权力来源（1.法定本级行使，2.上级下放，3.上级授权，4.同级授权，5.上级委托，6.同级委托）
    * @param powerSourceShow
    */
    public SheetMatterQuery powerSourceShow(String powerSourceShow){
        setPowerSourceShow(powerSourceShow);
		return this;
    }

    /**
    * 设置 权力来源（1.法定本级行使，2.上级下放，3.上级授权，4.同级授权，5.上级委托，6.同级委托）
    * @param powerSourceShowList
    */
    public SheetMatterQuery powerSourceShowList(List<String> powerSourceShowList){
        this.powerSourceShowList = powerSourceShowList;
		return this;
    }


	/**
    * 设置 实施主体性质（1.法定机关，2.授权组织，3.受委托组织）
    * @param performDeptTypeShow
    */
    public SheetMatterQuery performDeptTypeShow(String performDeptTypeShow){
        setPerformDeptTypeShow(performDeptTypeShow);
		return this;
    }

    /**
    * 设置 实施主体性质（1.法定机关，2.授权组织，3.受委托组织）
    * @param performDeptTypeShowList
    */
    public SheetMatterQuery performDeptTypeShowList(List<String> performDeptTypeShowList){
        this.performDeptTypeShowList = performDeptTypeShowList;
		return this;
    }


	/**
    * 设置 是否进驻中心（0.否，1.是）
    * @param goveServiceCenterShow
    */
    public SheetMatterQuery goveServiceCenterShow(String goveServiceCenterShow){
        setGoveServiceCenterShow(goveServiceCenterShow);
		return this;
    }

    /**
    * 设置 是否进驻中心（0.否，1.是）
    * @param goveServiceCenterShowList
    */
    public SheetMatterQuery goveServiceCenterShowList(List<String> goveServiceCenterShowList){
        this.goveServiceCenterShowList = goveServiceCenterShowList;
		return this;
    }


	/**
    * 设置 是否纳入便民服务中心（0.否，1.是）
    * @param isConvenientCenterShow
    */
    public SheetMatterQuery isConvenientCenterShow(String isConvenientCenterShow){
        setIsConvenientCenterShow(isConvenientCenterShow);
		return this;
    }

    /**
    * 设置 是否纳入便民服务中心（0.否，1.是）
    * @param isConvenientCenterShowList
    */
    public SheetMatterQuery isConvenientCenterShowList(List<String> isConvenientCenterShowList){
        this.isConvenientCenterShowList = isConvenientCenterShowList;
		return this;
    }

    /**
    * 设置  自助终端办理 （0.否，1.是）
    * @param terminalHandle
    */
    public SheetMatterQuery terminalHandle(Integer terminalHandle){
	    setTerminalHandle(terminalHandle);
		return this;
    }
	
	 /**
    * 设置 开始 自助终端办理 （0.否，1.是）
    * @param terminalHandleStart
    */
    public SheetMatterQuery terminalHandleStart(Integer terminalHandleStart){
		this.terminalHandleStart = terminalHandleStart;
		return this;
    }

    /**
    * 设置 结束 自助终端办理 （0.否，1.是）
    * @param terminalHandleEnd
    */
    public SheetMatterQuery terminalHandleEnd(Integer terminalHandleEnd){
		this.terminalHandleEnd = terminalHandleEnd;
		return this;
    }

    /**
    * 设置 增加 自助终端办理 （0.否，1.是）
    * @param terminalHandleIncrement
    */
    public SheetMatterQuery terminalHandleIncrement(Integer terminalHandleIncrement){
		this.terminalHandleIncrement = terminalHandleIncrement;
		return this;
    }

    /**
    * 设置 自助终端办理 （0.否，1.是）
    * @param terminalHandleList
    */
    public SheetMatterQuery terminalHandleList(List<Integer> terminalHandleList){
        this.terminalHandleList = terminalHandleList;
		return this;
        }

    /**
    * 设置  是否网办 （0.否，1.是）
    * @param isOnline
    */
    public SheetMatterQuery isOnline(Integer isOnline){
	    setIsOnline(isOnline);
		return this;
    }
	
	 /**
    * 设置 开始 是否网办 （0.否，1.是）
    * @param isOnlineStart
    */
    public SheetMatterQuery isOnlineStart(Integer isOnlineStart){
		this.isOnlineStart = isOnlineStart;
		return this;
    }

    /**
    * 设置 结束 是否网办 （0.否，1.是）
    * @param isOnlineEnd
    */
    public SheetMatterQuery isOnlineEnd(Integer isOnlineEnd){
		this.isOnlineEnd = isOnlineEnd;
		return this;
    }

    /**
    * 设置 增加 是否网办 （0.否，1.是）
    * @param isOnlineIncrement
    */
    public SheetMatterQuery isOnlineIncrement(Integer isOnlineIncrement){
		this.isOnlineIncrement = isOnlineIncrement;
		return this;
    }

    /**
    * 设置 是否网办 （0.否，1.是）
    * @param isOnlineList
    */
    public SheetMatterQuery isOnlineList(List<Integer> isOnlineList){
        this.isOnlineList = isOnlineList;
		return this;
        }


	/**
    * 设置 支持网上支付（0.否，1.是）
    * @param isOnlinePayShow
    */
    public SheetMatterQuery isOnlinePayShow(String isOnlinePayShow){
        setIsOnlinePayShow(isOnlinePayShow);
		return this;
    }

    /**
    * 设置 支持网上支付（0.否，1.是）
    * @param isOnlinePayShowList
    */
    public SheetMatterQuery isOnlinePayShowList(List<String> isOnlinePayShowList){
        this.isOnlinePayShowList = isOnlinePayShowList;
		return this;
    }


	/**
    * 设置 委托部门（0.否，1.是）
    * @param entrustmentDepartmen
    */
    public SheetMatterQuery entrustmentDepartmen(String entrustmentDepartmen){
        setEntrustmentDepartmen(entrustmentDepartmen);
		return this;
    }

    /**
    * 设置 委托部门（0.否，1.是）
    * @param entrustmentDepartmenList
    */
    public SheetMatterQuery entrustmentDepartmenList(List<String> entrustmentDepartmenList){
        this.entrustmentDepartmenList = entrustmentDepartmenList;
		return this;
    }


	/**
    * 设置 联办机构
    * @param jointInfoShow
    */
    public SheetMatterQuery jointInfoShow(String jointInfoShow){
        setJointInfoShow(jointInfoShow);
		return this;
    }

    /**
    * 设置 联办机构
    * @param jointInfoShowList
    */
    public SheetMatterQuery jointInfoShowList(List<String> jointInfoShowList){
        this.jointInfoShowList = jointInfoShowList;
		return this;
    }


	/**
    * 设置 事项状态（0.停用，1.在用）
    * @param matterStatus
    */
    public SheetMatterQuery matterStatus(String matterStatus){
        setMatterStatus(matterStatus);
		return this;
    }

    /**
    * 设置 事项状态（0.停用，1.在用）
    * @param matterStatusList
    */
    public SheetMatterQuery matterStatusList(List<String> matterStatusList){
        this.matterStatusList = matterStatusList;
		return this;
    }

    /**
    * 设置  数量限制
    * @param numberLimit
    */
    public SheetMatterQuery numberLimit(Long numberLimit){
	    setNumberLimit(numberLimit);
		return this;
    }
	
	 /**
    * 设置 开始 数量限制
    * @param numberLimitStart
    */
    public SheetMatterQuery numberLimitStart(Long numberLimitStart){
		this.numberLimitStart = numberLimitStart;
		return this;
    }

    /**
    * 设置 结束 数量限制
    * @param numberLimitEnd
    */
    public SheetMatterQuery numberLimitEnd(Long numberLimitEnd){
		this.numberLimitEnd = numberLimitEnd;
		return this;
    }

    /**
    * 设置 增加 数量限制
    * @param numberLimitIncrement
    */
    public SheetMatterQuery numberLimitIncrement(Long numberLimitIncrement){
		this.numberLimitIncrement = numberLimitIncrement;
		return this;
    }

    /**
    * 设置 数量限制
    * @param numberLimitList
    */
    public SheetMatterQuery numberLimitList(List<Long> numberLimitList){
        this.numberLimitList = numberLimitList;
		return this;
        }


	/**
    * 设置 主题类型（1.法定机关，2.授权组织，3.受委托组织）
    * @param type
    */
    public SheetMatterQuery type(String type){
        setType(type);
		return this;
    }

    /**
    * 设置 主题类型（1.法定机关，2.授权组织，3.受委托组织）
    * @param typeList
    */
    public SheetMatterQuery typeList(List<String> typeList){
        this.typeList = typeList;
		return this;
    }


	/**
    * 设置 基本编码
    * @param baseCode
    */
    public SheetMatterQuery baseCode(String baseCode){
        setBaseCode(baseCode);
		return this;
    }

    /**
    * 设置 基本编码
    * @param baseCodeList
    */
    public SheetMatterQuery baseCodeList(List<String> baseCodeList){
        this.baseCodeList = baseCodeList;
		return this;
    }


	/**
    * 设置 实施编码
    * @param implementCode
    */
    public SheetMatterQuery implementCode(String implementCode){
        setImplementCode(implementCode);
		return this;
    }

    /**
    * 设置 实施编码
    * @param implementCodeList
    */
    public SheetMatterQuery implementCodeList(List<String> implementCodeList){
        this.implementCodeList = implementCodeList;
		return this;
    }


	/**
    * 设置 实施主体编码
    * @param implementBodyCode
    */
    public SheetMatterQuery implementBodyCode(String implementBodyCode){
        setImplementBodyCode(implementBodyCode);
		return this;
    }

    /**
    * 设置 实施主体编码
    * @param implementBodyCodeList
    */
    public SheetMatterQuery implementBodyCodeList(List<String> implementBodyCodeList){
        this.implementBodyCodeList = implementBodyCodeList;
		return this;
    }


	/**
    * 设置 办理项编码
    * @param operateItemCode
    */
    public SheetMatterQuery operateItemCode(String operateItemCode){
        setOperateItemCode(operateItemCode);
		return this;
    }

    /**
    * 设置 办理项编码
    * @param operateItemCodeList
    */
    public SheetMatterQuery operateItemCodeList(List<String> operateItemCodeList){
        this.operateItemCodeList = operateItemCodeList;
		return this;
    }


	/**
    * 设置 乡镇街道名称
    * @param townshipName
    */
    public SheetMatterQuery townshipName(String townshipName){
        setTownshipName(townshipName);
		return this;
    }

    /**
    * 设置 乡镇街道名称
    * @param townshipNameList
    */
    public SheetMatterQuery townshipNameList(List<String> townshipNameList){
        this.townshipNameList = townshipNameList;
		return this;
    }


	/**
    * 设置 乡镇街道代码
    * @param townshipCode
    */
    public SheetMatterQuery townshipCode(String townshipCode){
        setTownshipCode(townshipCode);
		return this;
    }

    /**
    * 设置 乡镇街道代码
    * @param townshipCodeList
    */
    public SheetMatterQuery townshipCodeList(List<String> townshipCodeList){
        this.townshipCodeList = townshipCodeList;
		return this;
    }


	/**
    * 设置 村居社区名称
    * @param villageName
    */
    public SheetMatterQuery villageName(String villageName){
        setVillageName(villageName);
		return this;
    }

    /**
    * 设置 村居社区名称
    * @param villageNameList
    */
    public SheetMatterQuery villageNameList(List<String> villageNameList){
        this.villageNameList = villageNameList;
		return this;
    }


	/**
    * 设置 村居社区代码
    * @param villageCode
    */
    public SheetMatterQuery villageCode(String villageCode){
        setVillageCode(villageCode);
		return this;
    }

    /**
    * 设置 村居社区代码
    * @param villageCodeList
    */
    public SheetMatterQuery villageCodeList(List<String> villageCodeList){
        this.villageCodeList = villageCodeList;
		return this;
    }


	/**
    * 设置 办理时间
    * @param operateTime
    */
    public SheetMatterQuery operateTime(String operateTime){
        setOperateTime(operateTime);
		return this;
    }

    /**
    * 设置 办理时间
    * @param operateTimeList
    */
    public SheetMatterQuery operateTimeList(List<String> operateTimeList){
        this.operateTimeList = operateTimeList;
		return this;
    }


	/**
    * 设置 办理地点
    * @param operateSite
    */
    public SheetMatterQuery operateSite(String operateSite){
        setOperateSite(operateSite);
		return this;
    }

    /**
    * 设置 办理地点
    * @param operateSiteList
    */
    public SheetMatterQuery operateSiteList(List<String> operateSiteList){
        this.operateSiteList = operateSiteList;
		return this;
    }


	/**
    * 设置 咨询方式
    * @param cousultingShow
    */
    public SheetMatterQuery cousultingShow(String cousultingShow){
        setCousultingShow(cousultingShow);
		return this;
    }

    /**
    * 设置 咨询方式
    * @param cousultingShowList
    */
    public SheetMatterQuery cousultingShowList(List<String> cousultingShowList){
        this.cousultingShowList = cousultingShowList;
		return this;
    }


	/**
    * 设置 咨询电话
    * @param cousultingTelephoneShow
    */
    public SheetMatterQuery cousultingTelephoneShow(String cousultingTelephoneShow){
        setCousultingTelephoneShow(cousultingTelephoneShow);
		return this;
    }

    /**
    * 设置 咨询电话
    * @param cousultingTelephoneShowList
    */
    public SheetMatterQuery cousultingTelephoneShowList(List<String> cousultingTelephoneShowList){
        this.cousultingTelephoneShowList = cousultingTelephoneShowList;
		return this;
    }


	/**
    * 设置 监督方式
    * @param superviseShow
    */
    public SheetMatterQuery superviseShow(String superviseShow){
        setSuperviseShow(superviseShow);
		return this;
    }

    /**
    * 设置 监督方式
    * @param superviseShowList
    */
    public SheetMatterQuery superviseShowList(List<String> superviseShowList){
        this.superviseShowList = superviseShowList;
		return this;
    }

    /**
    * 设置  是否样表展示（0.否，1.是）
    * @param mattertype
    */
    public SheetMatterQuery mattertype(Integer mattertype){
	    setMattertype(mattertype);
		return this;
    }
	
	 /**
    * 设置 开始 是否样表展示（0.否，1.是）
    * @param mattertypeStart
    */
    public SheetMatterQuery mattertypeStart(Integer mattertypeStart){
		this.mattertypeStart = mattertypeStart;
		return this;
    }

    /**
    * 设置 结束 是否样表展示（0.否，1.是）
    * @param mattertypeEnd
    */
    public SheetMatterQuery mattertypeEnd(Integer mattertypeEnd){
		this.mattertypeEnd = mattertypeEnd;
		return this;
    }

    /**
    * 设置 增加 是否样表展示（0.否，1.是）
    * @param mattertypeIncrement
    */
    public SheetMatterQuery mattertypeIncrement(Integer mattertypeIncrement){
		this.mattertypeIncrement = mattertypeIncrement;
		return this;
    }

    /**
    * 设置 是否样表展示（0.否，1.是）
    * @param mattertypeList
    */
    public SheetMatterQuery mattertypeList(List<Integer> mattertypeList){
        this.mattertypeList = mattertypeList;
		return this;
        }


	/**
    * 设置 部门编号
    * @param deptCode
    */
    public SheetMatterQuery deptCode(String deptCode){
        setDeptCode(deptCode);
		return this;
    }

    /**
    * 设置 部门编号
    * @param deptCodeList
    */
    public SheetMatterQuery deptCodeList(List<String> deptCodeList){
        this.deptCodeList = deptCodeList;
		return this;
    }


	/**
    * 设置 目录清单编码
    * @param dirListCode
    */
    public SheetMatterQuery dirListCode(String dirListCode){
        setDirListCode(dirListCode);
		return this;
    }

    /**
    * 设置 目录清单编码
    * @param dirListCodeList
    */
    public SheetMatterQuery dirListCodeList(List<String> dirListCodeList){
        this.dirListCodeList = dirListCodeList;
		return this;
    }


	/**
    * 设置 运行系统名称
    * @param runSystemShow
    */
    public SheetMatterQuery runSystemShow(String runSystemShow){
        setRunSystemShow(runSystemShow);
		return this;
    }

    /**
    * 设置 运行系统名称
    * @param runSystemShowList
    */
    public SheetMatterQuery runSystemShowList(List<String> runSystemShowList){
        this.runSystemShowList = runSystemShowList;
		return this;
    }


	/**
    * 设置 联审信息
    * @param jointReviewInfoShow
    */
    public SheetMatterQuery jointReviewInfoShow(String jointReviewInfoShow){
        setJointReviewInfoShow(jointReviewInfoShow);
		return this;
    }

    /**
    * 设置 联审信息
    * @param jointReviewInfoShowList
    */
    public SheetMatterQuery jointReviewInfoShowList(List<String> jointReviewInfoShowList){
        this.jointReviewInfoShowList = jointReviewInfoShowList;
		return this;
    }


	/**
    * 设置 办理类型
    * @param doThingTypeShow
    */
    public SheetMatterQuery doThingTypeShow(String doThingTypeShow){
        setDoThingTypeShow(doThingTypeShow);
		return this;
    }

    /**
    * 设置 办理类型
    * @param doThingTypeShowList
    */
    public SheetMatterQuery doThingTypeShowList(List<String> doThingTypeShowList){
        this.doThingTypeShowList = doThingTypeShowList;
		return this;
    }


	/**
    * 设置 公示时限
    * @param pubTimeShow
    */
    public SheetMatterQuery pubTimeShow(String pubTimeShow){
        setPubTimeShow(pubTimeShow);
		return this;
    }

    /**
    * 设置 公示时限
    * @param pubTimeShowList
    */
    public SheetMatterQuery pubTimeShowList(List<String> pubTimeShowList){
        this.pubTimeShowList = pubTimeShowList;
		return this;
    }


	/**
    * 设置 投诉电话
    * @param supervisoryTelephoneShow
    */
    public SheetMatterQuery supervisoryTelephoneShow(String supervisoryTelephoneShow){
        setSupervisoryTelephoneShow(supervisoryTelephoneShow);
		return this;
    }

    /**
    * 设置 投诉电话
    * @param supervisoryTelephoneShowList
    */
    public SheetMatterQuery supervisoryTelephoneShowList(List<String> supervisoryTelephoneShowList){
        this.supervisoryTelephoneShowList = supervisoryTelephoneShowList;
		return this;
    }


	/**
    * 设置 办公时间
    * @param handleTimeShow
    */
    public SheetMatterQuery handleTimeShow(String handleTimeShow){
        setHandleTimeShow(handleTimeShow);
		return this;
    }

    /**
    * 设置 办公时间
    * @param handleTimeShowList
    */
    public SheetMatterQuery handleTimeShowList(List<String> handleTimeShowList){
        this.handleTimeShowList = handleTimeShowList;
		return this;
    }


	/**
    * 设置 办公地址
    * @param handlePlaceShow
    */
    public SheetMatterQuery handlePlaceShow(String handlePlaceShow){
        setHandlePlaceShow(handlePlaceShow);
		return this;
    }

    /**
    * 设置 办公地址
    * @param handlePlaceShowList
    */
    public SheetMatterQuery handlePlaceShowList(List<String> handlePlaceShowList){
        this.handlePlaceShowList = handlePlaceShowList;
		return this;
    }


	/**
    * 设置 节日类型
    * @param daysTypeShow
    */
    public SheetMatterQuery daysTypeShow(String daysTypeShow){
        setDaysTypeShow(daysTypeShow);
		return this;
    }

    /**
    * 设置 节日类型
    * @param daysTypeShowList
    */
    public SheetMatterQuery daysTypeShowList(List<String> daysTypeShowList){
        this.daysTypeShowList = daysTypeShowList;
		return this;
    }


	/**
    * 设置 行业
    * @param tradeShow
    */
    public SheetMatterQuery tradeShow(String tradeShow){
        setTradeShow(tradeShow);
		return this;
    }

    /**
    * 设置 行业
    * @param tradeShowList
    */
    public SheetMatterQuery tradeShowList(List<String> tradeShowList){
        this.tradeShowList = tradeShowList;
		return this;
    }


	/**
    * 设置 事项来源
    * @param eventSourceShow
    */
    public SheetMatterQuery eventSourceShow(String eventSourceShow){
        setEventSourceShow(eventSourceShow);
		return this;
    }

    /**
    * 设置 事项来源
    * @param eventSourceShowList
    */
    public SheetMatterQuery eventSourceShowList(List<String> eventSourceShowList){
        this.eventSourceShowList = eventSourceShowList;
		return this;
    }


	/**
    * 设置 审批结果类型
    * @param applyresultTypeShow
    */
    public SheetMatterQuery applyresultTypeShow(String applyresultTypeShow){
        setApplyresultTypeShow(applyresultTypeShow);
		return this;
    }

    /**
    * 设置 审批结果类型
    * @param applyresultTypeShowList
    */
    public SheetMatterQuery applyresultTypeShowList(List<String> applyresultTypeShowList){
        this.applyresultTypeShowList = applyresultTypeShowList;
		return this;
    }


	/**
    * 设置 审查类型
    * @param typeOfReview
    */
    public SheetMatterQuery typeOfReview(String typeOfReview){
        setTypeOfReview(typeOfReview);
		return this;
    }

    /**
    * 设置 审查类型
    * @param typeOfReviewList
    */
    public SheetMatterQuery typeOfReviewList(List<String> typeOfReviewList){
        this.typeOfReviewList = typeOfReviewList;
		return this;
    }


	/**
    * 设置 实施机构
    * @param enforcement
    */
    public SheetMatterQuery enforcement(String enforcement){
        setEnforcement(enforcement);
		return this;
    }

    /**
    * 设置 实施机构
    * @param enforcementList
    */
    public SheetMatterQuery enforcementList(List<String> enforcementList){
        this.enforcementList = enforcementList;
		return this;
    }


	/**
    * 设置 服务主题分类
    * @param serviceClassification
    */
    public SheetMatterQuery serviceClassification(String serviceClassification){
        setServiceClassification(serviceClassification);
		return this;
    }

    /**
    * 设置 服务主题分类
    * @param serviceClassificationList
    */
    public SheetMatterQuery serviceClassificationList(List<String> serviceClassificationList){
        this.serviceClassificationList = serviceClassificationList;
		return this;
    }


	/**
    * 设置 许可数量
    * @param licenseNumber
    */
    public SheetMatterQuery licenseNumber(String licenseNumber){
        setLicenseNumber(licenseNumber);
		return this;
    }

    /**
    * 设置 许可数量
    * @param licenseNumberList
    */
    public SheetMatterQuery licenseNumberList(List<String> licenseNumberList){
        this.licenseNumberList = licenseNumberList;
		return this;
    }

    /**
    * 设置  办事者到办理现场次数
    * @param number
    */
    public SheetMatterQuery number(Integer number){
	    setNumber(number);
		return this;
    }
	
	 /**
    * 设置 开始 办事者到办理现场次数
    * @param numberStart
    */
    public SheetMatterQuery numberStart(Integer numberStart){
		this.numberStart = numberStart;
		return this;
    }

    /**
    * 设置 结束 办事者到办理现场次数
    * @param numberEnd
    */
    public SheetMatterQuery numberEnd(Integer numberEnd){
		this.numberEnd = numberEnd;
		return this;
    }

    /**
    * 设置 增加 办事者到办理现场次数
    * @param numberIncrement
    */
    public SheetMatterQuery numberIncrement(Integer numberIncrement){
		this.numberIncrement = numberIncrement;
		return this;
    }

    /**
    * 设置 办事者到办理现场次数
    * @param numberList
    */
    public SheetMatterQuery numberList(List<Integer> numberList){
        this.numberList = numberList;
		return this;
        }


	/**
    * 设置 办理查询
    * @param inquire
    */
    public SheetMatterQuery inquire(String inquire){
        setInquire(inquire);
		return this;
    }

    /**
    * 设置 办理查询
    * @param inquireList
    */
    public SheetMatterQuery inquireList(List<String> inquireList){
        this.inquireList = inquireList;
		return this;
    }


	/**
    * 设置 办理结果名称
    * @param handlingresultNames
    */
    public SheetMatterQuery handlingresultNames(String handlingresultNames){
        setHandlingresultNames(handlingresultNames);
		return this;
    }

    /**
    * 设置 办理结果名称
    * @param handlingresultNamesList
    */
    public SheetMatterQuery handlingresultNamesList(List<String> handlingresultNamesList){
        this.handlingresultNamesList = handlingresultNamesList;
		return this;
    }


	/**
    * 设置 审批结果样本
    * @param sampleApprovalResults
    */
    public SheetMatterQuery sampleApprovalResults(String sampleApprovalResults){
        setSampleApprovalResults(sampleApprovalResults);
		return this;
    }

    /**
    * 设置 审批结果样本
    * @param sampleApprovalResultsList
    */
    public SheetMatterQuery sampleApprovalResultsList(List<String> sampleApprovalResultsList){
        this.sampleApprovalResultsList = sampleApprovalResultsList;
		return this;
    }


	/**
    * 设置 实施主题
    * @param performDeptName
    */
    public SheetMatterQuery performDeptName(String performDeptName){
        setPerformDeptName(performDeptName);
		return this;
    }

    /**
    * 设置 实施主题
    * @param performDeptNameList
    */
    public SheetMatterQuery performDeptNameList(List<String> performDeptNameList){
        this.performDeptNameList = performDeptNameList;
		return this;
    }


	/**
    * 设置 html存储地址
    * @param html
    */
    public SheetMatterQuery html(String html){
        setHtml(html);
		return this;
    }

    /**
    * 设置 html存储地址
    * @param htmlList
    */
    public SheetMatterQuery htmlList(List<String> htmlList){
        this.htmlList = htmlList;
		return this;
    }


	/**
    * 设置 全债清单类型
    * @param eventType
    */
    public SheetMatterQuery eventType(String eventType){
        setEventType(eventType);
		return this;
    }

    /**
    * 设置 全债清单类型
    * @param eventTypeList
    */
    public SheetMatterQuery eventTypeList(List<String> eventTypeList){
        this.eventTypeList = eventTypeList;
		return this;
    }

    /**
    * 设置  
    * @param shardKey
    */
    public SheetMatterQuery shardKey(Long shardKey){
	    setShardKey(shardKey);
		return this;
    }
	
	 /**
    * 设置 开始 
    * @param shardKeyStart
    */
    public SheetMatterQuery shardKeyStart(Long shardKeyStart){
		this.shardKeyStart = shardKeyStart;
		return this;
    }

    /**
    * 设置 结束 
    * @param shardKeyEnd
    */
    public SheetMatterQuery shardKeyEnd(Long shardKeyEnd){
		this.shardKeyEnd = shardKeyEnd;
		return this;
    }

    /**
    * 设置 增加 
    * @param shardKeyIncrement
    */
    public SheetMatterQuery shardKeyIncrement(Long shardKeyIncrement){
		this.shardKeyIncrement = shardKeyIncrement;
		return this;
    }

    /**
    * 设置 
    * @param shardKeyList
    */
    public SheetMatterQuery shardKeyList(List<Long> shardKeyList){
        this.shardKeyList = shardKeyList;
		return this;
        }

    /**
    * 设置  个人1
    * @param parson
    */
    public SheetMatterQuery parson(Integer parson){
	    setParson(parson);
		return this;
    }
	
	 /**
    * 设置 开始 个人1
    * @param parsonStart
    */
    public SheetMatterQuery parsonStart(Integer parsonStart){
		this.parsonStart = parsonStart;
		return this;
    }

    /**
    * 设置 结束 个人1
    * @param parsonEnd
    */
    public SheetMatterQuery parsonEnd(Integer parsonEnd){
		this.parsonEnd = parsonEnd;
		return this;
    }

    /**
    * 设置 增加 个人1
    * @param parsonIncrement
    */
    public SheetMatterQuery parsonIncrement(Integer parsonIncrement){
		this.parsonIncrement = parsonIncrement;
		return this;
    }

    /**
    * 设置 个人1
    * @param parsonList
    */
    public SheetMatterQuery parsonList(List<Integer> parsonList){
        this.parsonList = parsonList;
		return this;
        }

    /**
    * 设置  法人 1
    * @param lengal
    */
    public SheetMatterQuery lengal(Integer lengal){
	    setLengal(lengal);
		return this;
    }
	
	 /**
    * 设置 开始 法人 1
    * @param lengalStart
    */
    public SheetMatterQuery lengalStart(Integer lengalStart){
		this.lengalStart = lengalStart;
		return this;
    }

    /**
    * 设置 结束 法人 1
    * @param lengalEnd
    */
    public SheetMatterQuery lengalEnd(Integer lengalEnd){
		this.lengalEnd = lengalEnd;
		return this;
    }

    /**
    * 设置 增加 法人 1
    * @param lengalIncrement
    */
    public SheetMatterQuery lengalIncrement(Integer lengalIncrement){
		this.lengalIncrement = lengalIncrement;
		return this;
    }

    /**
    * 设置 法人 1
    * @param lengalList
    */
    public SheetMatterQuery lengalList(List<Integer> lengalList){
        this.lengalList = lengalList;
		return this;
        }


	/**
    * 设置 总材料说明
    * @param materialRemark
    */
    public SheetMatterQuery materialRemark(String materialRemark){
        setMaterialRemark(materialRemark);
		return this;
    }

    /**
    * 设置 总材料说明
    * @param materialRemarkList
    */
    public SheetMatterQuery materialRemarkList(List<String> materialRemarkList){
        this.materialRemarkList = materialRemarkList;
		return this;
    }


	/**
    * 设置 事项二维码
    * @param codeurl
    */
    public SheetMatterQuery codeurl(String codeurl){
        setCodeurl(codeurl);
		return this;
    }

    /**
    * 设置 事项二维码
    * @param codeurlList
    */
    public SheetMatterQuery codeurlList(List<String> codeurlList){
        this.codeurlList = codeurlList;
		return this;
    }


	/**
    * 设置 行使方式
    * @param applyObject
    */
    public SheetMatterQuery applyObject(String applyObject){
        setApplyObject(applyObject);
		return this;
    }

    /**
    * 设置 行使方式
    * @param applyObjectList
    */
    public SheetMatterQuery applyObjectList(List<String> applyObjectList){
        this.applyObjectList = applyObjectList;
		return this;
    }


	/**
    * 设置 统一受理模式
    * @param isUniteAccept
    */
    public SheetMatterQuery isUniteAccept(String isUniteAccept){
        setIsUniteAccept(isUniteAccept);
		return this;
    }

    /**
    * 设置 统一受理模式
    * @param isUniteAcceptList
    */
    public SheetMatterQuery isUniteAcceptList(List<String> isUniteAcceptList){
        this.isUniteAcceptList = isUniteAcceptList;
		return this;
    }

    /**
    * 设置  排序
    * @param sort
    */
    public SheetMatterQuery sort(Integer sort){
	    setSort(sort);
		return this;
    }
	
	 /**
    * 设置 开始 排序
    * @param sortStart
    */
    public SheetMatterQuery sortStart(Integer sortStart){
		this.sortStart = sortStart;
		return this;
    }

    /**
    * 设置 结束 排序
    * @param sortEnd
    */
    public SheetMatterQuery sortEnd(Integer sortEnd){
		this.sortEnd = sortEnd;
		return this;
    }

    /**
    * 设置 增加 排序
    * @param sortIncrement
    */
    public SheetMatterQuery sortIncrement(Integer sortIncrement){
		this.sortIncrement = sortIncrement;
		return this;
    }

    /**
    * 设置 排序
    * @param sortList
    */
    public SheetMatterQuery sortList(List<Integer> sortList){
        this.sortList = sortList;
		return this;
        }

    /**
    * 设置  是否推荐(0.未推荐，1.推荐)
    * @param isRecommend
    */
    public SheetMatterQuery isRecommend(Integer isRecommend){
	    setIsRecommend(isRecommend);
		return this;
    }
	
	 /**
    * 设置 开始 是否推荐(0.未推荐，1.推荐)
    * @param isRecommendStart
    */
    public SheetMatterQuery isRecommendStart(Integer isRecommendStart){
		this.isRecommendStart = isRecommendStart;
		return this;
    }

    /**
    * 设置 结束 是否推荐(0.未推荐，1.推荐)
    * @param isRecommendEnd
    */
    public SheetMatterQuery isRecommendEnd(Integer isRecommendEnd){
		this.isRecommendEnd = isRecommendEnd;
		return this;
    }

    /**
    * 设置 增加 是否推荐(0.未推荐，1.推荐)
    * @param isRecommendIncrement
    */
    public SheetMatterQuery isRecommendIncrement(Integer isRecommendIncrement){
		this.isRecommendIncrement = isRecommendIncrement;
		return this;
    }

    /**
    * 设置 是否推荐(0.未推荐，1.推荐)
    * @param isRecommendList
    */
    public SheetMatterQuery isRecommendList(List<Integer> isRecommendList){
        this.isRecommendList = isRecommendList;
		return this;
        }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public SheetMatterQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public SheetMatterQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public SheetMatterQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public SheetMatterQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public SheetMatterQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<SheetMatterQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<SheetMatterQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<SheetMatterQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<SheetMatterQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}